_(NULL)
_(UNKNOWN)
_(INVISIBLE) // state for invisible sprite

_(SPAWNSTATE)
_(SEESTATE)
_(MELEESTATE)
_(MISSILESTATE)
_(DEATHSTATE)
_(XDEATHSTATE)
_(RAISESTATE)

_(THOK)
_(SHADOW)

// SRB2kart Frames
_(KART_STILL)
_(KART_STILL_L)
_(KART_STILL_R)
_(KART_STILL_GLANCE_L)
_(KART_STILL_GLANCE_R)
_(KART_STILL_LOOK_L)
_(KART_STILL_LOOK_R)
_(KART_SLOW)
_(KART_SLOW_L)
_(KART_SLOW_R)
_(KART_SLOW_GLANCE_L)
_(KART_SLOW_GLANCE_R)
_(KART_SLOW_LOOK_L)
_(KART_SLOW_LOOK_R)
_(KART_FAST)
_(KART_FAST_L)
_(KART_FAST_R)
_(KART_FAST_GLANCE_L)
_(KART_FAST_GLANCE_R)
_(KART_FAST_LOOK_L)
_(KART_FAST_LOOK_R)
_(KART_DRIFT_L)
_(KART_DRIFT_L_OUT)
_(KART_DRIFT_L_IN)
_(KART_DRIFT_R)
_(KART_DRIFT_R_OUT)
_(KART_DRIFT_R_IN)
_(KART_SPINOUT)
_(KART_DEAD)
_(KART_SIGN)

// technically the player goes here but it's an infinite tic state
_(OBJPLACE_DUMMY)

_(KART_LEFTOVER)
_(KART_LEFTOVER_NOTIRES)
_(KART_TIRE)

// Blue Crawla
_(POSS_STND)
_(POSS_RUN1)
_(POSS_RUN2)
_(POSS_RUN3)
_(POSS_RUN4)
_(POSS_RUN5)
_(POSS_RUN6)

// Red Crawla
_(SPOS_STND)
_(SPOS_RUN1)
_(SPOS_RUN2)
_(SPOS_RUN3)
_(SPOS_RUN4)
_(SPOS_RUN5)
_(SPOS_RUN6)

// Greenflower Fish
_(FISH1)
_(FISH2)
_(FISH3)
_(FISH4)

// Buzz (Gold)
_(BUZZLOOK1)
_(BUZZLOOK2)
_(BUZZFLY1)
_(BUZZFLY2)

// Buzz (Red)
_(RBUZZLOOK1)
_(RBUZZLOOK2)
_(RBUZZFLY1)
_(RBUZZFLY2)

// AquaBuzz
_(BBUZZFLY1)
_(BBUZZFLY2)

// Jetty-Syn Bomber
_(JETBLOOK1)
_(JETBLOOK2)
_(JETBZOOM1)
_(JETBZOOM2)

// Jetty-Syn Gunner
_(JETGLOOK1)
_(JETGLOOK2)
_(JETGZOOM1)
_(JETGZOOM2)
_(JETGSHOOT1)
_(JETGSHOOT2)

// Crawla Commander
_(CCOMMAND1)
_(CCOMMAND2)
_(CCOMMAND3)
_(CCOMMAND4)

// Deton
_(DETON1)
_(DETON2)
_(DETON3)
_(DETON4)
_(DETON5)
_(DETON6)
_(DETON7)
_(DETON8)
_(DETON9)
_(DETON10)
_(DETON11)
_(DETON12)
_(DETON13)
_(DETON14)
_(DETON15)

// Skim Mine Dropper
_(SKIM1)
_(SKIM2)
_(SKIM3)
_(SKIM4)

// THZ Turret
_(TURRET)
_(TURRETFIRE)
_(TURRETSHOCK1)
_(TURRETSHOCK2)
_(TURRETSHOCK3)
_(TURRETSHOCK4)
_(TURRETSHOCK5)
_(TURRETSHOCK6)
_(TURRETSHOCK7)
_(TURRETSHOCK8)
_(TURRETSHOCK9)

// Popup Turret
_(TURRETLOOK)
_(TURRETSEE)
_(TURRETPOPUP1)
_(TURRETPOPUP2)
_(TURRETPOPUP3)
_(TURRETPOPUP4)
_(TURRETPOPUP5)
_(TURRETPOPUP6)
_(TURRETPOPUP7)
_(TURRETPOPUP8)
_(TURRETSHOOT)
_(TURRETPOPDOWN1)
_(TURRETPOPDOWN2)
_(TURRETPOPDOWN3)
_(TURRETPOPDOWN4)
_(TURRETPOPDOWN5)
_(TURRETPOPDOWN6)
_(TURRETPOPDOWN7)
_(TURRETPOPDOWN8)

// Sharp
_(SHARP_ROAM1)
_(SHARP_ROAM2)
_(SHARP_AIM1)
_(SHARP_AIM2)
_(SHARP_AIM3)
_(SHARP_AIM4)
_(SHARP_SPIN)

// Jet Jaw
_(JETJAW_ROAM1)
_(JETJAW_ROAM2)
_(JETJAW_ROAM3)
_(JETJAW_ROAM4)
_(JETJAW_ROAM5)
_(JETJAW_ROAM6)
_(JETJAW_ROAM7)
_(JETJAW_ROAM8)
_(JETJAW_CHOMP1)
_(JETJAW_CHOMP2)
_(JETJAW_CHOMP3)
_(JETJAW_CHOMP4)
_(JETJAW_CHOMP5)
_(JETJAW_CHOMP6)
_(JETJAW_CHOMP7)
_(JETJAW_CHOMP8)
_(JETJAW_CHOMP9)
_(JETJAW_CHOMP10)
_(JETJAW_CHOMP11)
_(JETJAW_CHOMP12)
_(JETJAW_CHOMP13)
_(JETJAW_CHOMP14)
_(JETJAW_CHOMP15)
_(JETJAW_CHOMP16)
_(JETJAW_SOUND)

// Snailer
_(SNAILER1)
_(SNAILER_FLICKY)

// Vulture
_(VULTURE_STND)
_(VULTURE_VTOL1)
_(VULTURE_VTOL2)
_(VULTURE_VTOL3)
_(VULTURE_VTOL4)
_(VULTURE_ZOOM1)
_(VULTURE_ZOOM2)
_(VULTURE_ZOOM3)
_(VULTURE_ZOOM4)
_(VULTURE_ZOOM5)

// Pointy
_(POINTY1)
_(POINTYBALL1)

// Robo-Hood
_(ROBOHOOD_LOOK)
_(ROBOHOOD_STND)
_(ROBOHOOD_SHOOT)
_(ROBOHOOD_JUMP)
_(ROBOHOOD_JUMP2)
_(ROBOHOOD_FALL)

// Castlebot Facestabber
_(FACESTABBER_STND1)
_(FACESTABBER_STND2)
_(FACESTABBER_STND3)
_(FACESTABBER_STND4)
_(FACESTABBER_STND5)
_(FACESTABBER_STND6)
_(FACESTABBER_CHARGE1)
_(FACESTABBER_CHARGE2)
_(FACESTABBER_CHARGE3)
_(FACESTABBER_CHARGE4)

// Egg Guard
_(EGGGUARD_STND)
_(EGGGUARD_WALK1)
_(EGGGUARD_WALK2)
_(EGGGUARD_WALK3)
_(EGGGUARD_WALK4)
_(EGGGUARD_MAD1)
_(EGGGUARD_MAD2)
_(EGGGUARD_MAD3)
_(EGGGUARD_RUN1)
_(EGGGUARD_RUN2)
_(EGGGUARD_RUN3)
_(EGGGUARD_RUN4)

// Egg Shield for Egg Guard
_(EGGSHIELD)

// Green Snapper
_(GSNAPPER_STND)
_(GSNAPPER1)
_(GSNAPPER2)
_(GSNAPPER3)
_(GSNAPPER4)

// Minus
_(MINUS_STND)
_(MINUS_DIGGING)
_(MINUS_POPUP)
_(MINUS_UPWARD1)
_(MINUS_UPWARD2)
_(MINUS_UPWARD3)
_(MINUS_UPWARD4)
_(MINUS_UPWARD5)
_(MINUS_UPWARD6)
_(MINUS_UPWARD7)
_(MINUS_UPWARD8)
_(MINUS_DOWNWARD1)
_(MINUS_DOWNWARD2)
_(MINUS_DOWNWARD3)
_(MINUS_DOWNWARD4)
_(MINUS_DOWNWARD5)
_(MINUS_DOWNWARD6)
_(MINUS_DOWNWARD7)
_(MINUS_DOWNWARD8)

// Spring Shell
_(SSHELL_STND)
_(SSHELL_RUN1)
_(SSHELL_RUN2)
_(SSHELL_RUN3)
_(SSHELL_RUN4)
_(SSHELL_SPRING1)
_(SSHELL_SPRING2)
_(SSHELL_SPRING3)
_(SSHELL_SPRING4)

// Spring Shell (yellow)
_(YSHELL_STND)
_(YSHELL_RUN1)
_(YSHELL_RUN2)
_(YSHELL_RUN3)
_(YSHELL_RUN4)
_(YSHELL_SPRING1)
_(YSHELL_SPRING2)
_(YSHELL_SPRING3)
_(YSHELL_SPRING4)

// Unidus
_(UNIDUS_STND)
_(UNIDUS_RUN)
_(UNIDUS_BALL)

// Boss Explosion
_(BPLD1)
_(BPLD2)
_(BPLD3)
_(BPLD4)
_(BPLD5)
_(BPLD6)
_(BPLD7)

// S3&K Boss Explosion
_(SONIC3KBOSSEXPLOSION1)
_(SONIC3KBOSSEXPLOSION2)
_(SONIC3KBOSSEXPLOSION3)
_(SONIC3KBOSSEXPLOSION4)
_(SONIC3KBOSSEXPLOSION5)
_(SONIC3KBOSSEXPLOSION6)

_(JETFUME1)
_(JETFUME2)

// Boss 1
_(EGGMOBILE_STND)
_(EGGMOBILE_LATK1)
_(EGGMOBILE_LATK2)
_(EGGMOBILE_LATK3)
_(EGGMOBILE_LATK4)
_(EGGMOBILE_LATK5)
_(EGGMOBILE_LATK6)
_(EGGMOBILE_LATK7)
_(EGGMOBILE_LATK8)
_(EGGMOBILE_LATK9)
_(EGGMOBILE_LATK10)
_(EGGMOBILE_RATK1)
_(EGGMOBILE_RATK2)
_(EGGMOBILE_RATK3)
_(EGGMOBILE_RATK4)
_(EGGMOBILE_RATK5)
_(EGGMOBILE_RATK6)
_(EGGMOBILE_RATK7)
_(EGGMOBILE_RATK8)
_(EGGMOBILE_RATK9)
_(EGGMOBILE_RATK10)
_(EGGMOBILE_PANIC1)
_(EGGMOBILE_PANIC2)
_(EGGMOBILE_PANIC3)
_(EGGMOBILE_PANIC4)
_(EGGMOBILE_PANIC5)
_(EGGMOBILE_PANIC6)
_(EGGMOBILE_PANIC7)
_(EGGMOBILE_PANIC8)
_(EGGMOBILE_PANIC9)
_(EGGMOBILE_PANIC10)
_(EGGMOBILE_PAIN)
_(EGGMOBILE_PAIN2)
_(EGGMOBILE_DIE1)
_(EGGMOBILE_DIE2)
_(EGGMOBILE_DIE3)
_(EGGMOBILE_DIE4)
_(EGGMOBILE_DIE5)
_(EGGMOBILE_DIE6)
_(EGGMOBILE_DIE7)
_(EGGMOBILE_DIE8)
_(EGGMOBILE_DIE9)
_(EGGMOBILE_DIE10)
_(EGGMOBILE_DIE11)
_(EGGMOBILE_DIE12)
_(EGGMOBILE_DIE13)
_(EGGMOBILE_DIE14)
_(EGGMOBILE_FLEE1)
_(EGGMOBILE_FLEE2)
_(EGGMOBILE_BALL)
_(EGGMOBILE_TARGET)

// Boss 2
_(EGGMOBILE2_STND)
_(EGGMOBILE2_POGO1)
_(EGGMOBILE2_POGO2)
_(EGGMOBILE2_POGO3)
_(EGGMOBILE2_POGO4)
_(EGGMOBILE2_POGO5)
_(EGGMOBILE2_POGO6)
_(EGGMOBILE2_POGO7)
_(EGGMOBILE2_PAIN)
_(EGGMOBILE2_PAIN2)
_(EGGMOBILE2_DIE1)
_(EGGMOBILE2_DIE2)
_(EGGMOBILE2_DIE3)
_(EGGMOBILE2_DIE4)
_(EGGMOBILE2_DIE5)
_(EGGMOBILE2_DIE6)
_(EGGMOBILE2_DIE7)
_(EGGMOBILE2_DIE8)
_(EGGMOBILE2_DIE9)
_(EGGMOBILE2_DIE10)
_(EGGMOBILE2_DIE11)
_(EGGMOBILE2_DIE12)
_(EGGMOBILE2_DIE13)
_(EGGMOBILE2_DIE14)
_(EGGMOBILE2_FLEE1)
_(EGGMOBILE2_FLEE2)

_(BOSSTANK1)
_(BOSSTANK2)
_(BOSSSPIGOT)

// Boss 2 Goop
_(GOOP1)
_(GOOP2)
_(GOOP3)

// Boss 3
_(EGGMOBILE3_STND)
_(EGGMOBILE3_ATK1)
_(EGGMOBILE3_ATK2)
_(EGGMOBILE3_ATK3A)
_(EGGMOBILE3_ATK3B)
_(EGGMOBILE3_ATK3C)
_(EGGMOBILE3_ATK3D)
_(EGGMOBILE3_ATK4)
_(EGGMOBILE3_ATK5)
_(EGGMOBILE3_LAUGH1)
_(EGGMOBILE3_LAUGH2)
_(EGGMOBILE3_LAUGH3)
_(EGGMOBILE3_LAUGH4)
_(EGGMOBILE3_LAUGH5)
_(EGGMOBILE3_LAUGH6)
_(EGGMOBILE3_LAUGH7)
_(EGGMOBILE3_LAUGH8)
_(EGGMOBILE3_LAUGH9)
_(EGGMOBILE3_LAUGH10)
_(EGGMOBILE3_LAUGH11)
_(EGGMOBILE3_LAUGH12)
_(EGGMOBILE3_LAUGH13)
_(EGGMOBILE3_LAUGH14)
_(EGGMOBILE3_LAUGH15)
_(EGGMOBILE3_LAUGH16)
_(EGGMOBILE3_LAUGH17)
_(EGGMOBILE3_LAUGH18)
_(EGGMOBILE3_LAUGH19)
_(EGGMOBILE3_LAUGH20)
_(EGGMOBILE3_PAIN)
_(EGGMOBILE3_PAIN2)
_(EGGMOBILE3_DIE1)
_(EGGMOBILE3_DIE2)
_(EGGMOBILE3_DIE3)
_(EGGMOBILE3_DIE4)
_(EGGMOBILE3_DIE5)
_(EGGMOBILE3_DIE6)
_(EGGMOBILE3_DIE7)
_(EGGMOBILE3_DIE8)
_(EGGMOBILE3_DIE9)
_(EGGMOBILE3_DIE10)
_(EGGMOBILE3_DIE11)
_(EGGMOBILE3_DIE12)
_(EGGMOBILE3_DIE13)
_(EGGMOBILE3_DIE14)
_(EGGMOBILE3_FLEE1)
_(EGGMOBILE3_FLEE2)

// Boss 3 Propeller
_(PROPELLER1)
_(PROPELLER2)
_(PROPELLER3)
_(PROPELLER4)
_(PROPELLER5)
_(PROPELLER6)
_(PROPELLER7)

// Boss 3 Pinch
_(FAKEMOBILE_INIT)
_(FAKEMOBILE)
_(FAKEMOBILE_ATK1)
_(FAKEMOBILE_ATK2)
_(FAKEMOBILE_ATK3A)
_(FAKEMOBILE_ATK3B)
_(FAKEMOBILE_ATK3C)
_(FAKEMOBILE_ATK3D)
_(FAKEMOBILE_ATK4)
_(FAKEMOBILE_ATK5)

// Boss 4
_(EGGMOBILE4_STND)
_(EGGMOBILE4_LATK1)
_(EGGMOBILE4_LATK2)
_(EGGMOBILE4_LATK3)
_(EGGMOBILE4_LATK4)
_(EGGMOBILE4_LATK5)
_(EGGMOBILE4_LATK6)
_(EGGMOBILE4_RATK1)
_(EGGMOBILE4_RATK2)
_(EGGMOBILE4_RATK3)
_(EGGMOBILE4_RATK4)
_(EGGMOBILE4_RATK5)
_(EGGMOBILE4_RATK6)
_(EGGMOBILE4_RAISE1)
_(EGGMOBILE4_RAISE2)
_(EGGMOBILE4_RAISE3)
_(EGGMOBILE4_RAISE4)
_(EGGMOBILE4_RAISE5)
_(EGGMOBILE4_RAISE6)
_(EGGMOBILE4_RAISE7)
_(EGGMOBILE4_RAISE8)
_(EGGMOBILE4_RAISE9)
_(EGGMOBILE4_RAISE10)
_(EGGMOBILE4_PAIN)
_(EGGMOBILE4_DIE1)
_(EGGMOBILE4_DIE2)
_(EGGMOBILE4_DIE3)
_(EGGMOBILE4_DIE4)
_(EGGMOBILE4_DIE5)
_(EGGMOBILE4_DIE6)
_(EGGMOBILE4_DIE7)
_(EGGMOBILE4_DIE8)
_(EGGMOBILE4_DIE9)
_(EGGMOBILE4_DIE10)
_(EGGMOBILE4_DIE11)
_(EGGMOBILE4_DIE12)
_(EGGMOBILE4_DIE13)
_(EGGMOBILE4_DIE14)
_(EGGMOBILE4_FLEE1)
_(EGGMOBILE4_FLEE2)
_(EGGMOBILE4_MACE)

// Boss 4 jet flame
_(JETFLAME1)
_(JETFLAME2)

// Black Eggman (Boss 7)
_(BLACKEGG_STND)
_(BLACKEGG_STND2)
_(BLACKEGG_WALK1)
_(BLACKEGG_WALK2)
_(BLACKEGG_WALK3)
_(BLACKEGG_WALK4)
_(BLACKEGG_WALK5)
_(BLACKEGG_WALK6)
_(BLACKEGG_SHOOT1)
_(BLACKEGG_SHOOT2)
_(BLACKEGG_PAIN1)
_(BLACKEGG_PAIN2)
_(BLACKEGG_PAIN3)
_(BLACKEGG_PAIN4)
_(BLACKEGG_PAIN5)
_(BLACKEGG_PAIN6)
_(BLACKEGG_PAIN7)
_(BLACKEGG_PAIN8)
_(BLACKEGG_PAIN9)
_(BLACKEGG_PAIN10)
_(BLACKEGG_PAIN11)
_(BLACKEGG_PAIN12)
_(BLACKEGG_PAIN13)
_(BLACKEGG_PAIN14)
_(BLACKEGG_PAIN15)
_(BLACKEGG_PAIN16)
_(BLACKEGG_PAIN17)
_(BLACKEGG_PAIN18)
_(BLACKEGG_PAIN19)
_(BLACKEGG_PAIN20)
_(BLACKEGG_PAIN21)
_(BLACKEGG_PAIN22)
_(BLACKEGG_PAIN23)
_(BLACKEGG_PAIN24)
_(BLACKEGG_PAIN25)
_(BLACKEGG_PAIN26)
_(BLACKEGG_PAIN27)
_(BLACKEGG_PAIN28)
_(BLACKEGG_PAIN29)
_(BLACKEGG_PAIN30)
_(BLACKEGG_PAIN31)
_(BLACKEGG_PAIN32)
_(BLACKEGG_PAIN33)
_(BLACKEGG_PAIN34)
_(BLACKEGG_PAIN35)
_(BLACKEGG_HITFACE1)
_(BLACKEGG_HITFACE2)
_(BLACKEGG_HITFACE3)
_(BLACKEGG_HITFACE4)
_(BLACKEGG_DIE1)
_(BLACKEGG_DIE2)
_(BLACKEGG_DIE3)
_(BLACKEGG_DIE4)
_(BLACKEGG_DIE5)
_(BLACKEGG_MISSILE1)
_(BLACKEGG_MISSILE2)
_(BLACKEGG_MISSILE3)
_(BLACKEGG_GOOP)
_(BLACKEGG_JUMP1)
_(BLACKEGG_JUMP2)
_(BLACKEGG_DESTROYPLAT1)
_(BLACKEGG_DESTROYPLAT2)
_(BLACKEGG_DESTROYPLAT3)

_(BLACKEGG_HELPER) // Collision helper

_(BLACKEGG_GOOP1)
_(BLACKEGG_GOOP2)
_(BLACKEGG_GOOP3)
_(BLACKEGG_GOOP4)
_(BLACKEGG_GOOP5)
_(BLACKEGG_GOOP6)
_(BLACKEGG_GOOP7)

_(BLACKEGG_MISSILE)

// New Very-Last-Minute 2.1 Brak Eggman (Cy-Brak-demon)
_(CYBRAKDEMON_IDLE)
_(CYBRAKDEMON_WALK1)
_(CYBRAKDEMON_WALK2)
_(CYBRAKDEMON_WALK3)
_(CYBRAKDEMON_WALK4)
_(CYBRAKDEMON_WALK5)
_(CYBRAKDEMON_WALK6)
_(CYBRAKDEMON_CHOOSE_ATTACK1)
_(CYBRAKDEMON_MISSILE_ATTACK1) // Aim
_(CYBRAKDEMON_MISSILE_ATTACK2) // Fire
_(CYBRAKDEMON_MISSILE_ATTACK3) // Aim
_(CYBRAKDEMON_MISSILE_ATTACK4) // Fire
_(CYBRAKDEMON_MISSILE_ATTACK5) // Aim
_(CYBRAKDEMON_MISSILE_ATTACK6) // Fire
_(CYBRAKDEMON_FLAME_ATTACK1) // Reset
_(CYBRAKDEMON_FLAME_ATTACK2) // Aim
_(CYBRAKDEMON_FLAME_ATTACK3) // Fire
_(CYBRAKDEMON_FLAME_ATTACK4) // Loop
_(CYBRAKDEMON_CHOOSE_ATTACK2)
_(CYBRAKDEMON_VILE_ATTACK1)
_(CYBRAKDEMON_VILE_ATTACK2)
_(CYBRAKDEMON_VILE_ATTACK3)
_(CYBRAKDEMON_VILE_ATTACK4)
_(CYBRAKDEMON_VILE_ATTACK5)
_(CYBRAKDEMON_VILE_ATTACK6)
_(CYBRAKDEMON_NAPALM_ATTACK1)
_(CYBRAKDEMON_NAPALM_ATTACK2)
_(CYBRAKDEMON_NAPALM_ATTACK3)
_(CYBRAKDEMON_FINISH_ATTACK1) // If just attacked, remove MF2_FRET w/out going back to spawnstate
_(CYBRAKDEMON_FINISH_ATTACK2) // Force a delay between attacks so you don't get bombarded with them back-to-back
_(CYBRAKDEMON_PAIN1)
_(CYBRAKDEMON_PAIN2)
_(CYBRAKDEMON_PAIN3)
_(CYBRAKDEMON_DIE1)
_(CYBRAKDEMON_DIE2)
_(CYBRAKDEMON_DIE3)
_(CYBRAKDEMON_DIE4)
_(CYBRAKDEMON_DIE5)
_(CYBRAKDEMON_DIE6)
_(CYBRAKDEMON_DIE7)
_(CYBRAKDEMON_DIE8)
_(CYBRAKDEMON_DEINVINCIBLERIZE)
_(CYBRAKDEMON_INVINCIBLERIZE)

_(CYBRAKDEMONMISSILE)
_(CYBRAKDEMONMISSILE_EXPLODE1)
_(CYBRAKDEMONMISSILE_EXPLODE2)
_(CYBRAKDEMONMISSILE_EXPLODE3)

_(CYBRAKDEMONFLAMESHOT_FLY1)
_(CYBRAKDEMONFLAMESHOT_FLY2)
_(CYBRAKDEMONFLAMESHOT_FLY3)
_(CYBRAKDEMONFLAMESHOT_DIE)

_(CYBRAKDEMONFLAMEREST)

_(CYBRAKDEMONELECTRICBARRIER_INIT1)
_(CYBRAKDEMONELECTRICBARRIER_INIT2)
_(CYBRAKDEMONELECTRICBARRIER_PLAYSOUND)
_(CYBRAKDEMONELECTRICBARRIER1)
_(CYBRAKDEMONELECTRICBARRIER2)
_(CYBRAKDEMONELECTRICBARRIER3)
_(CYBRAKDEMONELECTRICBARRIER4)
_(CYBRAKDEMONELECTRICBARRIER5)
_(CYBRAKDEMONELECTRICBARRIER6)
_(CYBRAKDEMONELECTRICBARRIER7)
_(CYBRAKDEMONELECTRICBARRIER8)
_(CYBRAKDEMONELECTRICBARRIER9)
_(CYBRAKDEMONELECTRICBARRIER10)
_(CYBRAKDEMONELECTRICBARRIER11)
_(CYBRAKDEMONELECTRICBARRIER12)
_(CYBRAKDEMONELECTRICBARRIER13)
_(CYBRAKDEMONELECTRICBARRIER14)
_(CYBRAKDEMONELECTRICBARRIER15)
_(CYBRAKDEMONELECTRICBARRIER16)
_(CYBRAKDEMONELECTRICBARRIER17)
_(CYBRAKDEMONELECTRICBARRIER18)
_(CYBRAKDEMONELECTRICBARRIER19)
_(CYBRAKDEMONELECTRICBARRIER20)
_(CYBRAKDEMONELECTRICBARRIER21)
_(CYBRAKDEMONELECTRICBARRIER22)
_(CYBRAKDEMONELECTRICBARRIER23)
_(CYBRAKDEMONELECTRICBARRIER24)
_(CYBRAKDEMONELECTRICBARRIER_DIE1)
_(CYBRAKDEMONELECTRICBARRIER_DIE2)
_(CYBRAKDEMONELECTRICBARRIER_DIE3)
_(CYBRAKDEMONELECTRICBARRIER_SPARK_RANDOMCHECK)
_(CYBRAKDEMONELECTRICBARRIER_SPARK_RANDOMSUCCESS)
_(CYBRAKDEMONELECTRICBARRIER_SPARK_RANDOMCHOOSE)
_(CYBRAKDEMONELECTRICBARRIER_SPARK_RANDOM1)
_(CYBRAKDEMONELECTRICBARRIER_SPARK_RANDOM2)
_(CYBRAKDEMONELECTRICBARRIER_SPARK_RANDOM3)
_(CYBRAKDEMONELECTRICBARRIER_SPARK_RANDOM4)
_(CYBRAKDEMONELECTRICBARRIER_SPARK_RANDOM5)
_(CYBRAKDEMONELECTRICBARRIER_SPARK_RANDOM6)
_(CYBRAKDEMONELECTRICBARRIER_SPARK_RANDOM7)
_(CYBRAKDEMONELECTRICBARRIER_SPARK_RANDOM8)
_(CYBRAKDEMONELECTRICBARRIER_SPARK_RANDOM9)
_(CYBRAKDEMONELECTRICBARRIER_SPARK_RANDOM10)
_(CYBRAKDEMONELECTRICBARRIER_SPARK_RANDOM11)
_(CYBRAKDEMONELECTRICBARRIER_SPARK_RANDOM12)
_(CYBRAKDEMONELECTRICBARRIER_SPARK_RANDOMFAIL)
_(CYBRAKDEMONELECTRICBARRIER_SPARK_RANDOMLOOP)
_(CYBRAKDEMONELECTRICBARRIER_REVIVE1)
_(CYBRAKDEMONELECTRICBARRIER_REVIVE2)
_(CYBRAKDEMONELECTRICBARRIER_REVIVE3)

_(CYBRAKDEMONTARGETRETICULE1)
_(CYBRAKDEMONTARGETRETICULE2)
_(CYBRAKDEMONTARGETRETICULE3)
_(CYBRAKDEMONTARGETRETICULE4)
_(CYBRAKDEMONTARGETRETICULE5)
_(CYBRAKDEMONTARGETRETICULE6)
_(CYBRAKDEMONTARGETRETICULE7)
_(CYBRAKDEMONTARGETRETICULE8)
_(CYBRAKDEMONTARGETRETICULE9)
_(CYBRAKDEMONTARGETRETICULE10)
_(CYBRAKDEMONTARGETRETICULE11)
_(CYBRAKDEMONTARGETRETICULE12)
_(CYBRAKDEMONTARGETRETICULE13)
_(CYBRAKDEMONTARGETRETICULE14)

_(CYBRAKDEMONTARGETDOT)

_(CYBRAKDEMONNAPALMBOMBLARGE_FLY1)
_(CYBRAKDEMONNAPALMBOMBLARGE_FLY2)
_(CYBRAKDEMONNAPALMBOMBLARGE_FLY3)
_(CYBRAKDEMONNAPALMBOMBLARGE_FLY4)
_(CYBRAKDEMONNAPALMBOMBLARGE_DIE1) // Explode
_(CYBRAKDEMONNAPALMBOMBLARGE_DIE2) // Outer ring
_(CYBRAKDEMONNAPALMBOMBLARGE_DIE3) // Center
_(CYBRAKDEMONNAPALMBOMBLARGE_DIE4) // Sound

_(CYBRAKDEMONNAPALMBOMBSMALL)
_(CYBRAKDEMONNAPALMBOMBSMALL_DIE1) // Explode
_(CYBRAKDEMONNAPALMBOMBSMALL_DIE2) // Outer ring
_(CYBRAKDEMONNAPALMBOMBSMALL_DIE3) // Inner ring
_(CYBRAKDEMONNAPALMBOMBSMALL_DIE4) // Center
_(CYBRAKDEMONNAPALMBOMBSMALL_DIE5) // Sound

_(CYBRAKDEMONNAPALMFLAME_FLY1)
_(CYBRAKDEMONNAPALMFLAME_FLY2)
_(CYBRAKDEMONNAPALMFLAME_FLY3)
_(CYBRAKDEMONNAPALMFLAME_FLY4)
_(CYBRAKDEMONNAPALMFLAME_FLY5)
_(CYBRAKDEMONNAPALMFLAME_FLY6)
_(CYBRAKDEMONNAPALMFLAME_DIE)

_(CYBRAKDEMONVILEEXPLOSION1)
_(CYBRAKDEMONVILEEXPLOSION2)
_(CYBRAKDEMONVILEEXPLOSION3)

// Metal Sonic (Race)
// S_PLAY_STND
_(METALSONIC_STAND)
// S_PLAY_TAP1
_(METALSONIC_WAIT1)
_(METALSONIC_WAIT2)
// S_PLAY_RUN1
_(METALSONIC_WALK1)
_(METALSONIC_WALK2)
_(METALSONIC_WALK3)
_(METALSONIC_WALK4)
_(METALSONIC_WALK5)
_(METALSONIC_WALK6)
_(METALSONIC_WALK7)
_(METALSONIC_WALK8)
// S_PLAY_SPD1
_(METALSONIC_RUN1)
_(METALSONIC_RUN2)
_(METALSONIC_RUN3)
_(METALSONIC_RUN4)
// Metal Sonic (Battle)
_(METALSONIC_FLOAT)
_(METALSONIC_VECTOR)
_(METALSONIC_STUN)
_(METALSONIC_BLOCK)
_(METALSONIC_RAISE)
_(METALSONIC_GATHER)
_(METALSONIC_DASH)
_(METALSONIC_BOUNCE)
_(METALSONIC_SHOOT)
_(METALSONIC_PAIN)
_(METALSONIC_DEATH)
_(METALSONIC_FLEE1)
_(METALSONIC_FLEE2)
_(METALSONIC_FLEE3)
_(METALSONIC_FLEE4)

_(MSSHIELD_F1)
_(MSSHIELD_F2)
_(MSSHIELD_F3)
_(MSSHIELD_F4)
_(MSSHIELD_F5)
_(MSSHIELD_F6)
_(MSSHIELD_F7)
_(MSSHIELD_F8)
_(MSSHIELD_F9)
_(MSSHIELD_F10)
_(MSSHIELD_F11)
_(MSSHIELD_F12)

// Ring
_(RING)
_(FASTRING1)
_(FASTRING2)
_(FASTRING3)
_(FASTRING4)
_(FASTRING5)
_(FASTRING6)
_(FASTRING7)
_(FASTRING8)
_(FASTRING9)
_(FASTRING10)
_(FASTRING11)
_(FASTRING12)

// Blue Sphere for special stages
_(BLUEBALL)
_(BLUEBALLSPARK)

// NiGHTS Chip
_(NIGHTSCHIP)
_(NIGHTSCHIPBONUS)

// NiGHTS Star
_(NIGHTSSTAR)
_(NIGHTSSTARXMAS)

// Gravity Wells for special stages
_(GRAVWELLGREEN)
_(GRAVWELLRED)

// Individual Team Rings
_(TEAMRING)

// Special Stage Token
_(EMMY)
_(TOKEN)
_(MOVINGTOKEN)

// CTF Flags
_(REDFLAG)
_(BLUEFLAG)

// Emblem
_(EMBLEM1)
_(EMBLEM2)
_(EMBLEM3)
_(EMBLEM4)
_(EMBLEM5)
_(EMBLEM6)
_(EMBLEM7)
_(EMBLEM8)
_(EMBLEM9)
_(EMBLEM10)
_(EMBLEM11)
_(EMBLEM12)
_(EMBLEM13)
_(EMBLEM14)
_(EMBLEM15)
_(EMBLEM16)
_(EMBLEM17)
_(EMBLEM18)
_(EMBLEM19)
_(EMBLEM20)
_(EMBLEM21)
_(EMBLEM22)
_(EMBLEM23)
_(EMBLEM24)
_(EMBLEM25)
_(EMBLEM26)

// Chaos Emeralds
_(CEMG1)
_(CEMG2)
_(CEMG3)
_(CEMG4)
_(CEMG5)
_(CEMG6)
_(CEMG7)

// Bubble Source
_(BUBBLES1)
_(BUBBLES2)
_(BUBBLES3)
_(BUBBLES4)

// Level End Sign
_(SIGN1)
_(SIGN2)
_(SIGN3)
_(SIGN4)
_(SIGN5)
_(SIGN6)
_(SIGN7)
_(SIGN8)
_(SIGN9)
_(SIGN10)
_(SIGN11)
_(SIGN12)
_(SIGN13)
_(SIGN14)
_(SIGN15)
_(SIGN16)
_(SIGN17)
_(SIGN18)
_(SIGN19)
_(SIGN20)
_(SIGN_END)

// Spike Ball
_(SPIKEBALL1)
_(SPIKEBALL2)
_(SPIKEBALL3)
_(SPIKEBALL4)
_(SPIKEBALL5)
_(SPIKEBALL6)
_(SPIKEBALL7)
_(SPIKEBALL8)

// Elemental Shield's Spawn
_(SPINFIRE1)
_(SPINFIRE2)
_(SPINFIRE3)
_(SPINFIRE4)
_(SPINFIRE5)
_(SPINFIRE6)

_(TEAM_SPINFIRE1)
_(TEAM_SPINFIRE2)
_(TEAM_SPINFIRE3)
_(TEAM_SPINFIRE4)
_(TEAM_SPINFIRE5)
_(TEAM_SPINFIRE6)

// Spikes
_(SPIKE1)
_(SPIKE2)
_(SPIKE3)
_(SPIKE4)
_(SPIKE5)
_(SPIKE6)
_(SPIKED1)
_(SPIKED2)

// Wall spikes
_(WALLSPIKE1)
_(WALLSPIKE2)
_(WALLSPIKE3)
_(WALLSPIKE4)
_(WALLSPIKE5)
_(WALLSPIKE6)
_(WALLSPIKEBASE)
_(WALLSPIKED1)
_(WALLSPIKED2)

// Starpost
_(STARPOST_IDLE)
_(STARPOST_FLASH)
_(STARPOST_STARTSPIN)
_(STARPOST_SPIN)
_(STARPOST_ENDSPIN)

// Big floating mine
_(BIGMINE1)
_(BIGMINE2)
_(BIGMINE3)
_(BIGMINE4)
_(BIGMINE5)
_(BIGMINE6)
_(BIGMINE7)
_(BIGMINE8)

// Cannon Launcher
_(CANNONLAUNCHER1)
_(CANNONLAUNCHER2)
_(CANNONLAUNCHER3)

// Super Ring Box
_(SUPERRINGBOX)
_(SUPERRINGBOX1)
_(SUPERRINGBOX2)
_(SUPERRINGBOX3)
_(SUPERRINGBOX4)
_(SUPERRINGBOX5)
_(SUPERRINGBOX6)

// Red Team Ring Box
_(REDRINGBOX)
_(REDRINGBOX1)

// Blue Team Ring Box
_(BLUERINGBOX)
_(BLUERINGBOX1)

// Super Sneakers Box
_(SHTV)
_(SHTV1)
_(SHTV2)
_(SHTV3)
_(SHTV4)
_(SHTV5)
_(SHTV6)

// Invincibility Box
_(PINV)
_(PINV1)
_(PINV2)
_(PINV3)
_(PINV4)
_(PINV5)
_(PINV6)

// 1up Box
_(PRUP)
_(PRUP1)
_(PRUP2)
_(PRUP3)
_(PRUP4)
_(PRUP5)
_(PRUP6)

// Ring Shield Box
_(YLTV)
_(YLTV1)
_(YLTV2)
_(YLTV3)
_(YLTV4)
_(YLTV5)
_(YLTV6)

// Force Shield Box
_(BLTV1)
_(BLTV2)
_(BLTV3)
_(BLTV4)
_(BLTV5)
_(BLTV6)
_(BLTV7)

// Bomb Shield Box
_(BKTV1)
_(BKTV2)
_(BKTV3)
_(BKTV4)
_(BKTV5)
_(BKTV6)
_(BKTV7)

// Jump Shield Box
_(WHTV1)
_(WHTV2)
_(WHTV3)
_(WHTV4)
_(WHTV5)
_(WHTV6)
_(WHTV7)

// Water Shield Box
_(GRTV)
_(GRTV1)
_(GRTV2)
_(GRTV3)
_(GRTV4)
_(GRTV5)
_(GRTV6)

// Pity Shield Box
_(PITV1)
_(PITV2)
_(PITV3)
_(PITV4)
_(PITV5)
_(PITV6)
_(PITV7)

// Eggman Box
_(EGGTV1)
_(EGGTV2)
_(EGGTV3)
_(EGGTV4)
_(EGGTV5)
_(EGGTV6)
_(EGGTV7)

// Teleport Box
_(MIXUPBOX1)
_(MIXUPBOX2)
_(MIXUPBOX3)
_(MIXUPBOX4)
_(MIXUPBOX5)
_(MIXUPBOX6)
_(MIXUPBOX7)

// Recycler Box
_(RECYCLETV1)
_(RECYCLETV2)
_(RECYCLETV3)
_(RECYCLETV4)
_(RECYCLETV5)
_(RECYCLETV6)
_(RECYCLETV7)

// Question Box
_(RANDOMBOX1)
_(RANDOMBOX2)
_(RANDOMBOX3)

// Gravity Boots Box
_(GBTV1)
_(GBTV2)
_(GBTV3)
_(GBTV4)
_(GBTV5)
_(GBTV6)
_(GBTV7)

// Score boxes
_(SCORETVA1)
_(SCORETVA2)
_(SCORETVA3)
_(SCORETVA4)
_(SCORETVA5)
_(SCORETVA6)
_(SCORETVA7)
_(SCORETVB1)
_(SCORETVB2)
_(SCORETVB3)
_(SCORETVB4)
_(SCORETVB5)
_(SCORETVB6)
_(SCORETVB7)

// Monitor Explosion
_(MONITOREXPLOSION1)
_(MONITOREXPLOSION2)

_(REDMONITOREXPLOSION1)
_(REDMONITOREXPLOSION2)

_(BLUEMONITOREXPLOSION1)
_(BLUEMONITOREXPLOSION2)

// ---

_(ROCKET)

_(LASER)

_(TORPEDO)

_(ENERGYBALL1)
_(ENERGYBALL2)

// Skim Mine, also used by Jetty-Syn bomber
_(MINE1)
_(MINE_BOOM1)
_(MINE_BOOM2)
_(MINE_BOOM3)
_(MINE_BOOM4)

// Jetty-Syn Bullet
_(JETBULLET1)
_(JETBULLET2)

_(TURRETLASER)
_(TURRETLASEREXPLODE1)
_(TURRETLASEREXPLODE2)

// Cannonball
_(CANNONBALL1)

// Arrow
_(ARROW)
_(ARROWUP)
_(ARROWDOWN)

// Glaregoyle Demon fire
_(DEMONFIRE)

// GFZ flowers
_(GFZFLOWERA)
_(GFZFLOWERA2)

_(GFZFLOWERB1)
_(GFZFLOWERB2)

_(GFZFLOWERC1)

_(BERRYBUSH)
_(BUSH)

// THZ Plant
_(THZPLANT1)
_(THZPLANT2)
_(THZPLANT3)
_(THZPLANT4)

// THZ Alarm
_(ALARM1)

// Deep Sea Gargoyle
_(GARGOYLE)
_(BIGGARGOYLE)

// DSZ Seaweed
_(SEAWEED1)
_(SEAWEED2)
_(SEAWEED3)
_(SEAWEED4)
_(SEAWEED5)
_(SEAWEED6)

// Dripping Water
_(DRIPA1)
_(DRIPA2)
_(DRIPA3)
_(DRIPA4)
_(DRIPB1)
_(DRIPC1)
_(DRIPC2)

// Coral
_(CORAL1)
_(CORAL2)
_(CORAL3)

// Blue Crystal
_(BLUECRYSTAL1)

// CEZ Chain
_(CEZCHAIN)

// Flame
_(FLAME1)
_(FLAME2)
_(FLAME3)
_(FLAME4)

// Eggman Statue
_(EGGSTATUE1)

// CEZ hidden sling
_(SLING1)
_(SLING2)

// CEZ maces and chains
_(SMALLMACECHAIN)
_(BIGMACECHAIN)
_(SMALLMACE)
_(BIGMACE)
_(SMALLGRABCHAIN)
_(BIGGRABCHAIN)

_(CEZFLOWER)

// Big Tumbleweed
_(BIGTUMBLEWEED)
_(BIGTUMBLEWEED_ROLL1)
_(BIGTUMBLEWEED_ROLL2)
_(BIGTUMBLEWEED_ROLL3)
_(BIGTUMBLEWEED_ROLL4)
_(BIGTUMBLEWEED_ROLL5)
_(BIGTUMBLEWEED_ROLL6)
_(BIGTUMBLEWEED_ROLL7)
_(BIGTUMBLEWEED_ROLL8)

// Little Tumbleweed
_(LITTLETUMBLEWEED)
_(LITTLETUMBLEWEED_ROLL1)
_(LITTLETUMBLEWEED_ROLL2)
_(LITTLETUMBLEWEED_ROLL3)
_(LITTLETUMBLEWEED_ROLL4)
_(LITTLETUMBLEWEED_ROLL5)
_(LITTLETUMBLEWEED_ROLL6)
_(LITTLETUMBLEWEED_ROLL7)
_(LITTLETUMBLEWEED_ROLL8)

// Cacti
_(CACTI1)
_(CACTI2)
_(CACTI3)
_(CACTI4)

// Flame jet
_(FLAMEJETSTND)
_(FLAMEJETSTART)
_(FLAMEJETSTOP)
_(FLAMEJETFLAME1)
_(FLAMEJETFLAME2)
_(FLAMEJETFLAME3)
_(FLAMEJETFLAME4)
_(FLAMEJETFLAME5)
_(FLAMEJETFLAME6)
_(FLAMEJETFLAME7)
_(FLAMEJETFLAME8)
_(FLAMEJETFLAME9)

// Spinning flame jets
_(FJSPINAXISA1) // Counter-clockwise
_(FJSPINAXISA2)
_(FJSPINAXISB1) // Clockwise
_(FJSPINAXISB2)

// Blade's flame
_(FLAMEJETFLAMEB1)
_(FLAMEJETFLAMEB2)
_(FLAMEJETFLAMEB3)

// Trapgoyles
_(TRAPGOYLE)
_(TRAPGOYLE_CHECK)
_(TRAPGOYLE_FIRE1)
_(TRAPGOYLE_FIRE2)
_(TRAPGOYLE_FIRE3)
_(TRAPGOYLEUP)
_(TRAPGOYLEUP_CHECK)
_(TRAPGOYLEUP_FIRE1)
_(TRAPGOYLEUP_FIRE2)
_(TRAPGOYLEUP_FIRE3)
_(TRAPGOYLEDOWN)
_(TRAPGOYLEDOWN_CHECK)
_(TRAPGOYLEDOWN_FIRE1)
_(TRAPGOYLEDOWN_FIRE2)
_(TRAPGOYLEDOWN_FIRE3)
_(TRAPGOYLELONG)
_(TRAPGOYLELONG_CHECK)
_(TRAPGOYLELONG_FIRE1)
_(TRAPGOYLELONG_FIRE2)
_(TRAPGOYLELONG_FIRE3)
_(TRAPGOYLELONG_FIRE4)
_(TRAPGOYLELONG_FIRE5)

// ATZ's Red Crystal/Target
_(TARGET_IDLE)
_(TARGET_HIT1)
_(TARGET_HIT2)
_(TARGET_RESPAWN)
_(TARGET_ALLDONE)

// Stalagmites
_(STG0)
_(STG1)
_(STG2)
_(STG3)
_(STG4)
_(STG5)
_(STG6)
_(STG7)
_(STG8)
_(STG9)

// Xmas-specific stuff
_(XMASPOLE)
_(CANDYCANE)
_(SNOWMAN)    // normal
_(SNOWMANHAT) // with hat + scarf
_(LAMPPOST1)  // normal
_(LAMPPOST2)  // with snow
_(HANGSTAR)
_(MISTLETOE)
// Xmas GFZ bushes
_(XMASBLUEBERRYBUSH)
_(XMASBERRYBUSH)
_(XMASBUSH)

// Botanic Serenity's loads of scenery states
_(BSZTALLFLOWER_RED)
_(BSZTALLFLOWER_PURPLE)
_(BSZTALLFLOWER_BLUE)
_(BSZTALLFLOWER_CYAN)
_(BSZTALLFLOWER_YELLOW)
_(BSZTALLFLOWER_ORANGE)
_(BSZFLOWER_RED)
_(BSZFLOWER_PURPLE)
_(BSZFLOWER_BLUE)
_(BSZFLOWER_CYAN)
_(BSZFLOWER_YELLOW)
_(BSZFLOWER_ORANGE)
_(BSZSHORTFLOWER_RED)
_(BSZSHORTFLOWER_PURPLE)
_(BSZSHORTFLOWER_BLUE)
_(BSZSHORTFLOWER_CYAN)
_(BSZSHORTFLOWER_YELLOW)
_(BSZSHORTFLOWER_ORANGE)
_(BSZTULIP_RED)
_(BSZTULIP_PURPLE)
_(BSZTULIP_BLUE)
_(BSZTULIP_CYAN)
_(BSZTULIP_YELLOW)
_(BSZTULIP_ORANGE)
_(BSZCLUSTER_RED)
_(BSZCLUSTER_PURPLE)
_(BSZCLUSTER_BLUE)
_(BSZCLUSTER_CYAN)
_(BSZCLUSTER_YELLOW)
_(BSZCLUSTER_ORANGE)
_(BSZBUSH_RED)
_(BSZBUSH_PURPLE)
_(BSZBUSH_BLUE)
_(BSZBUSH_CYAN)
_(BSZBUSH_YELLOW)
_(BSZBUSH_ORANGE)
_(BSZVINE_RED)
_(BSZVINE_PURPLE)
_(BSZVINE_BLUE)
_(BSZVINE_CYAN)
_(BSZVINE_YELLOW)
_(BSZVINE_ORANGE)
_(BSZSHRUB)
_(BSZCLOVER)
_(BSZFISH)
_(BSZSUNFLOWER)

_(DBALL1)
_(DBALL2)
_(DBALL3)
_(DBALL4)
_(DBALL5)
_(DBALL6)
_(EGGSTATUE2)

// Shield Orb
_(ARMA1)
_(ARMA2)
_(ARMA3)
_(ARMA4)
_(ARMA5)
_(ARMA6)
_(ARMA7)
_(ARMA8)
_(ARMA9)
_(ARMA10)
_(ARMA11)
_(ARMA12)
_(ARMA13)
_(ARMA14)
_(ARMA15)
_(ARMA16)

_(ARMF1)
_(ARMF2)
_(ARMF3)
_(ARMF4)
_(ARMF5)
_(ARMF6)
_(ARMF7)
_(ARMF8)
_(ARMF9)
_(ARMF10)
_(ARMF11)
_(ARMF12)
_(ARMF13)
_(ARMF14)
_(ARMF15)
_(ARMF16)
_(ARMF17)
_(ARMF18)
_(ARMF19)
_(ARMF20)
_(ARMF21)
_(ARMF22)
_(ARMF23)
_(ARMF24)
_(ARMF25)
_(ARMF26)
_(ARMF27)
_(ARMF28)
_(ARMF29)
_(ARMF30)
_(ARMF31)
_(ARMF32)

_(ARMB1)
_(ARMB2)
_(ARMB3)
_(ARMB4)
_(ARMB5)
_(ARMB6)
_(ARMB7)
_(ARMB8)
_(ARMB9)
_(ARMB10)
_(ARMB11)
_(ARMB12)
_(ARMB13)
_(ARMB14)
_(ARMB15)
_(ARMB16)
_(ARMB17)
_(ARMB18)
_(ARMB19)
_(ARMB20)
_(ARMB21)
_(ARMB22)
_(ARMB23)
_(ARMB24)
_(ARMB25)
_(ARMB26)
_(ARMB27)
_(ARMB28)
_(ARMB29)
_(ARMB30)
_(ARMB31)
_(ARMB32)

_(WIND1)
_(WIND2)
_(WIND3)
_(WIND4)
_(WIND5)
_(WIND6)
_(WIND7)
_(WIND8)

_(MAGN1)
_(MAGN2)
_(MAGN3)
_(MAGN4)
_(MAGN5)
_(MAGN6)
_(MAGN7)
_(MAGN8)
_(MAGN9)
_(MAGN10)
_(MAGN11)
_(MAGN12)
_(MAGN13)

_(FORC1)
_(FORC2)
_(FORC3)
_(FORC4)
_(FORC5)
_(FORC6)
_(FORC7)
_(FORC8)
_(FORC9)
_(FORC10)

_(FORC11)
_(FORC12)
_(FORC13)
_(FORC14)
_(FORC15)
_(FORC16)
_(FORC17)
_(FORC18)
_(FORC19)
_(FORC20)

_(FORC21)

_(ELEM1)
_(ELEM2)
_(ELEM3)
_(ELEM4)
_(ELEM5)
_(ELEM6)
_(ELEM7)
_(ELEM8)
_(ELEM9)
_(ELEM10)
_(ELEM11)
_(ELEM12)

_(ELEM13)
_(ELEM14)

_(ELEMF1)
_(ELEMF2)
_(ELEMF3)
_(ELEMF4)
_(ELEMF5)
_(ELEMF6)
_(ELEMF7)
_(ELEMF8)
_(ELEMF9)
_(ELEMF10)

_(PITY1)
_(PITY2)
_(PITY3)
_(PITY4)
_(PITY5)
_(PITY6)
_(PITY7)
_(PITY8)
_(PITY9)
_(PITY10)
_(PITY11)
_(PITY12)

_(FIRS1)
_(FIRS2)
_(FIRS3)
_(FIRS4)
_(FIRS5)
_(FIRS6)
_(FIRS7)
_(FIRS8)
_(FIRS9)

_(FIRS10)
_(FIRS11)

_(FIRSB1)
_(FIRSB2)
_(FIRSB3)
_(FIRSB4)
_(FIRSB5)
_(FIRSB6)
_(FIRSB7)
_(FIRSB8)
_(FIRSB9)

_(FIRSB10)

_(BUBS1)
_(BUBS2)
_(BUBS3)
_(BUBS4)
_(BUBS5)
_(BUBS6)
_(BUBS7)
_(BUBS8)
_(BUBS9)

_(BUBS10)
_(BUBS11)

_(BUBSB1)
_(BUBSB2)
_(BUBSB3)
_(BUBSB4)

_(BUBSB5)
_(BUBSB6)

_(ZAPS1)
_(ZAPS2)
_(ZAPS3)
_(ZAPS4)
_(ZAPS5)
_(ZAPS6)
_(ZAPS7)
_(ZAPS8)
_(ZAPS9)
_(ZAPS10)
_(ZAPS11)
_(ZAPS12)
_(ZAPS13) // blank frame
_(ZAPS14)
_(ZAPS15)
_(ZAPS16)

_(ZAPSB1) // blank frame
_(ZAPSB2)
_(ZAPSB3)
_(ZAPSB4)
_(ZAPSB5)
_(ZAPSB6)
_(ZAPSB7)
_(ZAPSB8)
_(ZAPSB9)
_(ZAPSB10)
_(ZAPSB11) // blank frame

// Thunder spark
_(THUNDERCOIN_SPARK)

// Invincibility Sparkles
_(IVSP)

// Super Sonic Spark
_(SSPK1)
_(SSPK2)
_(SSPK3)
_(SSPK4)
_(SSPK5)

// Flicky-sized bubble
_(FLICKY_BUBBLE)

// Bluebird
_(FLICKY_01_OUT)
_(FLICKY_01_FLAP1)
_(FLICKY_01_FLAP2)
_(FLICKY_01_FLAP3)
_(FLICKY_01_STAND)
_(FLICKY_01_CENTER)

// Rabbit
_(FLICKY_02_OUT)
_(FLICKY_02_AIM)
_(FLICKY_02_HOP)
_(FLICKY_02_UP)
_(FLICKY_02_DOWN)
_(FLICKY_02_STAND)
_(FLICKY_02_CENTER)

// Chicken
_(FLICKY_03_OUT)
_(FLICKY_03_AIM)
_(FLICKY_03_HOP)
_(FLICKY_03_UP)
_(FLICKY_03_FLAP1)
_(FLICKY_03_FLAP2)
_(FLICKY_03_STAND)
_(FLICKY_03_CENTER)

// Seal
_(FLICKY_04_OUT)
_(FLICKY_04_AIM)
_(FLICKY_04_HOP)
_(FLICKY_04_UP)
_(FLICKY_04_DOWN)
_(FLICKY_04_SWIM1)
_(FLICKY_04_SWIM2)
_(FLICKY_04_SWIM3)
_(FLICKY_04_SWIM4)
_(FLICKY_04_STAND)
_(FLICKY_04_CENTER)

// Pig
_(FLICKY_05_OUT)
_(FLICKY_05_AIM)
_(FLICKY_05_HOP)
_(FLICKY_05_UP)
_(FLICKY_05_DOWN)
_(FLICKY_05_STAND)
_(FLICKY_05_CENTER)

// Chipmunk
_(FLICKY_06_OUT)
_(FLICKY_06_AIM)
_(FLICKY_06_HOP)
_(FLICKY_06_UP)
_(FLICKY_06_DOWN)
_(FLICKY_06_STAND)
_(FLICKY_06_CENTER)

// Penguin
_(FLICKY_07_OUT)
_(FLICKY_07_AIML)
_(FLICKY_07_HOPL)
_(FLICKY_07_UPL)
_(FLICKY_07_DOWNL)
_(FLICKY_07_AIMR)
_(FLICKY_07_HOPR)
_(FLICKY_07_UPR)
_(FLICKY_07_DOWNR)
_(FLICKY_07_SWIM1)
_(FLICKY_07_SWIM2)
_(FLICKY_07_SWIM3)
_(FLICKY_07_STAND)
_(FLICKY_07_CENTER)

// Fish
_(FLICKY_08_OUT)
_(FLICKY_08_AIM)
_(FLICKY_08_HOP)
_(FLICKY_08_FLAP1)
_(FLICKY_08_FLAP2)
_(FLICKY_08_FLAP3)
_(FLICKY_08_FLAP4)
_(FLICKY_08_SWIM1)
_(FLICKY_08_SWIM2)
_(FLICKY_08_SWIM3)
_(FLICKY_08_SWIM4)
_(FLICKY_08_STAND)
_(FLICKY_08_CENTER)

// Ram
_(FLICKY_09_OUT)
_(FLICKY_09_AIM)
_(FLICKY_09_HOP)
_(FLICKY_09_UP)
_(FLICKY_09_DOWN)
_(FLICKY_09_STAND)
_(FLICKY_09_CENTER)

// Puffin
_(FLICKY_10_OUT)
_(FLICKY_10_FLAP1)
_(FLICKY_10_FLAP2)
_(FLICKY_10_STAND)
_(FLICKY_10_CENTER)

// Cow
_(FLICKY_11_OUT)
_(FLICKY_11_AIM)
_(FLICKY_11_RUN1)
_(FLICKY_11_RUN2)
_(FLICKY_11_RUN3)
_(FLICKY_11_STAND)
_(FLICKY_11_CENTER)

// Rat
_(FLICKY_12_OUT)
_(FLICKY_12_AIM)
_(FLICKY_12_RUN1)
_(FLICKY_12_RUN2)
_(FLICKY_12_RUN3)
_(FLICKY_12_STAND)
_(FLICKY_12_CENTER)

// Bear
_(FLICKY_13_OUT)
_(FLICKY_13_AIM)
_(FLICKY_13_HOP)
_(FLICKY_13_UP)
_(FLICKY_13_DOWN)
_(FLICKY_13_STAND)
_(FLICKY_13_CENTER)

// Dove
_(FLICKY_14_OUT)
_(FLICKY_14_FLAP1)
_(FLICKY_14_FLAP2)
_(FLICKY_14_FLAP3)
_(FLICKY_14_STAND)
_(FLICKY_14_CENTER)

// Cat
_(FLICKY_15_OUT)
_(FLICKY_15_AIM)
_(FLICKY_15_HOP)
_(FLICKY_15_UP)
_(FLICKY_15_DOWN)
_(FLICKY_15_STAND)
_(FLICKY_15_CENTER)

// Canary
_(FLICKY_16_OUT)
_(FLICKY_16_FLAP1)
_(FLICKY_16_FLAP2)
_(FLICKY_16_FLAP3)
_(FLICKY_16_STAND)
_(FLICKY_16_CENTER)

// Spider
_(SECRETFLICKY_01_OUT)
_(SECRETFLICKY_01_AIM)
_(SECRETFLICKY_01_HOP)
_(SECRETFLICKY_01_UP)
_(SECRETFLICKY_01_DOWN)
_(SECRETFLICKY_01_STAND)
_(SECRETFLICKY_01_CENTER)

// Bat
_(SECRETFLICKY_02_OUT)
_(SECRETFLICKY_02_FLAP1)
_(SECRETFLICKY_02_FLAP2)
_(SECRETFLICKY_02_FLAP3)
_(SECRETFLICKY_02_STAND)
_(SECRETFLICKY_02_CENTER)

// Emeralds (for hunt)
_(EMER1)

// Fan
_(FAN)
_(FAN2)
_(FAN3)
_(FAN4)
_(FAN5)

// Steam Riser
_(STEAM1)
_(STEAM2)
_(STEAM3)
_(STEAM4)
_(STEAM5)
_(STEAM6)
_(STEAM7)
_(STEAM8)

// Balloons
_(BALLOON)
_(BALLOONPOP1)
_(BALLOONPOP2)
_(BALLOONPOP3)
_(BALLOONPOP4)
_(BALLOONPOP5)
_(BALLOONPOP6)

// Yellow Spring
_(YELLOWSPRING)
_(YELLOWSPRING2)
_(YELLOWSPRING3)
_(YELLOWSPRING4)
_(YELLOWSPRING5)

// Red Spring
_(REDSPRING)
_(REDSPRING2)
_(REDSPRING3)
_(REDSPRING4)
_(REDSPRING5)

// Blue Spring
_(BLUESPRING)
_(BLUESPRING2)
_(BLUESPRING3)
_(BLUESPRING4)
_(BLUESPRING5)

// Grey Spring
_(GRAYSPRING)
_(GRAYSPRING2)
_(GRAYSPRING3)
_(GRAYSPRING4)
_(GRAYSPRING5)

// Invis-spring - this is used just for the sproing sound.
_(INVISSPRING)

// Yellow Diagonal Spring
_(YDIAG1)
_(YDIAG2)
_(YDIAG3)
_(YDIAG4)

// Red Diagonal Spring
_(RDIAG1)
_(RDIAG2)
_(RDIAG3)
_(RDIAG4)

// Blue Diagonal Spring
_(BDIAG1)
_(BDIAG2)
_(BDIAG3)
_(BDIAG4)

// Rain
_(RAIN1)
_(RAINRETURN)

// Snowflake
_(SNOW1)
_(SNOW2)
_(SNOW3)

// Water Splish
_(SPLISH1)
_(SPLISH2)
_(SPLISH3)
_(SPLISH4)
_(SPLISH5)
_(SPLISH6)
_(SPLISH7)
_(SPLISH8)
_(SPLISH9)

// Lava Splish
_(LAVASPLISH)

// added water splash
_(SPLASH1)
_(SPLASH2)
_(SPLASH3)

// lava/slime damage burn smoke
_(SMOKE1)
_(SMOKE2)
_(SMOKE3)
_(SMOKE4)
_(SMOKE5)

// Bubbles
_(SMALLBUBBLE)
_(MEDIUMBUBBLE)
_(LARGEBUBBLE1)
_(LARGEBUBBLE2)
_(EXTRALARGEBUBBLE) // breathable

_(POP1) // Extra Large bubble goes POP!

_(WATERZAP)

// Spindash dust
_(SPINDUST1)
_(SPINDUST2)
_(SPINDUST3)
_(SPINDUST4)
_(SPINDUST_BUBBLE1)
_(SPINDUST_BUBBLE2)
_(SPINDUST_BUBBLE3)
_(SPINDUST_BUBBLE4)
_(SPINDUST_FIRE1)
_(SPINDUST_FIRE2)
_(SPINDUST_FIRE3)
_(SPINDUST_FIRE4)

_(FOG1)
_(FOG2)
_(FOG3)
_(FOG4)
_(FOG5)
_(FOG6)
_(FOG7)
_(FOG8)
_(FOG9)
_(FOG10)
_(FOG11)
_(FOG12)
_(FOG13)
_(FOG14)

_(SEED)

_(PARTICLE)
_(PARTICLEGEN)

// Score Logos
_(SCRA) // 100
_(SCRB) // 200
_(SCRC) // 500
_(SCRD) // 1000
_(SCRE) // 10000
_(SCRF) // 400 (mario)
_(SCRG) // 800 (mario)
_(SCRH) // 2000 (mario)
_(SCRI) // 4000 (mario)
_(SCRJ) // 8000 (mario)
_(SCRK) // 1UP (mario)
_(SCRL) // 10

// Drowning Timer Numbers
_(ZERO1)
_(ONE1)
_(TWO1)
_(THREE1)
_(FOUR1)
_(FIVE1)

_(ZERO2)
_(ONE2)
_(TWO2)
_(THREE2)
_(FOUR2)
_(FIVE2)

_(FLIGHTINDICATOR)

_(LOCKON1)
_(LOCKON2)
_(LOCKON3)
_(LOCKON4)
_(LOCKONINF1)
_(LOCKONINF2)
_(LOCKONINF3)
_(LOCKONINF4)

// Tag Sign
_(TTAG)

// Got Flag Sign
_(GOTFLAG)

// Finish flag
_(FINISHFLAG)

// Red Ring
_(RRNG1)
_(RRNG2)
_(RRNG3)
_(RRNG4)
_(RRNG5)
_(RRNG6)
_(RRNG7)

// Weapon Ring Ammo
_(BOUNCERINGAMMO)
_(RAILRINGAMMO)
_(INFINITYRINGAMMO)
_(AUTOMATICRINGAMMO)
_(EXPLOSIONRINGAMMO)
_(SCATTERRINGAMMO)
_(GRENADERINGAMMO)

// Weapon pickup
_(BOUNCEPICKUP)
_(BOUNCEPICKUPFADE1)
_(BOUNCEPICKUPFADE2)
_(BOUNCEPICKUPFADE3)
_(BOUNCEPICKUPFADE4)
_(BOUNCEPICKUPFADE5)
_(BOUNCEPICKUPFADE6)
_(BOUNCEPICKUPFADE7)
_(BOUNCEPICKUPFADE8)

_(RAILPICKUP)
_(RAILPICKUPFADE1)
_(RAILPICKUPFADE2)
_(RAILPICKUPFADE3)
_(RAILPICKUPFADE4)
_(RAILPICKUPFADE5)
_(RAILPICKUPFADE6)
_(RAILPICKUPFADE7)
_(RAILPICKUPFADE8)

_(AUTOPICKUP)
_(AUTOPICKUPFADE1)
_(AUTOPICKUPFADE2)
_(AUTOPICKUPFADE3)
_(AUTOPICKUPFADE4)
_(AUTOPICKUPFADE5)
_(AUTOPICKUPFADE6)
_(AUTOPICKUPFADE7)
_(AUTOPICKUPFADE8)

_(EXPLODEPICKUP)
_(EXPLODEPICKUPFADE1)
_(EXPLODEPICKUPFADE2)
_(EXPLODEPICKUPFADE3)
_(EXPLODEPICKUPFADE4)
_(EXPLODEPICKUPFADE5)
_(EXPLODEPICKUPFADE6)
_(EXPLODEPICKUPFADE7)
_(EXPLODEPICKUPFADE8)

_(SCATTERPICKUP)
_(SCATTERPICKUPFADE1)
_(SCATTERPICKUPFADE2)
_(SCATTERPICKUPFADE3)
_(SCATTERPICKUPFADE4)
_(SCATTERPICKUPFADE5)
_(SCATTERPICKUPFADE6)
_(SCATTERPICKUPFADE7)
_(SCATTERPICKUPFADE8)

_(GRENADEPICKUP)
_(GRENADEPICKUPFADE1)
_(GRENADEPICKUPFADE2)
_(GRENADEPICKUPFADE3)
_(GRENADEPICKUPFADE4)
_(GRENADEPICKUPFADE5)
_(GRENADEPICKUPFADE6)
_(GRENADEPICKUPFADE7)
_(GRENADEPICKUPFADE8)

// Thrown Weapon Rings
_(THROWNBOUNCE1)
_(THROWNBOUNCE2)
_(THROWNBOUNCE3)
_(THROWNBOUNCE4)
_(THROWNBOUNCE5)
_(THROWNBOUNCE6)
_(THROWNBOUNCE7)
_(THROWNINFINITY1)
_(THROWNINFINITY2)
_(THROWNINFINITY3)
_(THROWNINFINITY4)
_(THROWNINFINITY5)
_(THROWNINFINITY6)
_(THROWNINFINITY7)
_(THROWNAUTOMATIC1)
_(THROWNAUTOMATIC2)
_(THROWNAUTOMATIC3)
_(THROWNAUTOMATIC4)
_(THROWNAUTOMATIC5)
_(THROWNAUTOMATIC6)
_(THROWNAUTOMATIC7)
_(THROWNEXPLOSION1)
_(THROWNEXPLOSION2)
_(THROWNEXPLOSION3)
_(THROWNEXPLOSION4)
_(THROWNEXPLOSION5)
_(THROWNEXPLOSION6)
_(THROWNEXPLOSION7)
_(THROWNGRENADE1)
_(THROWNGRENADE2)
_(THROWNGRENADE3)
_(THROWNGRENADE4)
_(THROWNGRENADE5)
_(THROWNGRENADE6)
_(THROWNGRENADE7)
_(THROWNGRENADE8)
_(THROWNGRENADE9)
_(THROWNGRENADE10)
_(THROWNGRENADE11)
_(THROWNGRENADE12)
_(THROWNGRENADE13)
_(THROWNGRENADE14)
_(THROWNGRENADE15)
_(THROWNGRENADE16)
_(THROWNGRENADE17)
_(THROWNGRENADE18)
_(THROWNSCATTER)

_(RINGEXPLODE)

_(COIN1)
_(COIN2)
_(COIN3)
_(COINSPARKLE1)
_(COINSPARKLE2)
_(COINSPARKLE3)
_(COINSPARKLE4)
_(GOOMBA1)
_(GOOMBA1B)
_(GOOMBA2)
_(GOOMBA3)
_(GOOMBA4)
_(GOOMBA5)
_(GOOMBA6)
_(GOOMBA7)
_(GOOMBA8)
_(GOOMBA9)
_(GOOMBA_DEAD)
_(BLUEGOOMBA1)
_(BLUEGOOMBA1B)
_(BLUEGOOMBA2)
_(BLUEGOOMBA3)
_(BLUEGOOMBA4)
_(BLUEGOOMBA5)
_(BLUEGOOMBA6)
_(BLUEGOOMBA7)
_(BLUEGOOMBA8)
_(BLUEGOOMBA9)
_(BLUEGOOMBA_DEAD)

// Mario-specific stuff
_(FIREFLOWER1)
_(FIREFLOWER2)
_(FIREFLOWER3)
_(FIREFLOWER4)
_(FIREBALL1)
_(FIREBALL2)
_(FIREBALL3)
_(FIREBALL4)
_(FIREBALLEXP1)
_(FIREBALLEXP2)
_(FIREBALLEXP3)
_(SHELL)
_(PUMA1)
_(PUMA2)
_(PUMA3)
_(PUMA4)
_(PUMA5)
_(PUMA6)
_(HAMMER)
_(KOOPA1)
_(KOOPA2)
_(KOOPAFLAME1)
_(KOOPAFLAME2)
_(KOOPAFLAME3)
_(AXE1)
_(AXE2)
_(AXE3)
_(MARIOBUSH1)
_(MARIOBUSH2)
_(TOAD)

// Nights-specific stuff
_(NIGHTSDRONE_MAN1)
_(NIGHTSDRONE_MAN2)
_(NIGHTSDRONE_SPARKLING1)
_(NIGHTSDRONE_SPARKLING2)
_(NIGHTSDRONE_SPARKLING3)
_(NIGHTSDRONE_SPARKLING4)
_(NIGHTSDRONE_SPARKLING5)
_(NIGHTSDRONE_SPARKLING6)
_(NIGHTSDRONE_SPARKLING7)
_(NIGHTSDRONE_SPARKLING8)
_(NIGHTSDRONE_SPARKLING9)
_(NIGHTSDRONE_SPARKLING10)
_(NIGHTSDRONE_SPARKLING11)
_(NIGHTSDRONE_SPARKLING12)
_(NIGHTSDRONE_SPARKLING13)
_(NIGHTSDRONE_SPARKLING14)
_(NIGHTSDRONE_SPARKLING15)
_(NIGHTSDRONE_SPARKLING16)
_(NIGHTSDRONE_GOAL1)
_(NIGHTSDRONE_GOAL2)
_(NIGHTSDRONE_GOAL3)
_(NIGHTSDRONE_GOAL4)

_(NIGHTSPARKLE1)
_(NIGHTSPARKLE2)
_(NIGHTSPARKLE3)
_(NIGHTSPARKLE4)
_(NIGHTSPARKLESUPER1)
_(NIGHTSPARKLESUPER2)
_(NIGHTSPARKLESUPER3)
_(NIGHTSPARKLESUPER4)
_(NIGHTSLOOPHELPER)

// NiGHTS bumper
_(NIGHTSBUMPER1)
_(NIGHTSBUMPER2)
_(NIGHTSBUMPER3)
_(NIGHTSBUMPER4)
_(NIGHTSBUMPER5)
_(NIGHTSBUMPER6)
_(NIGHTSBUMPER7)
_(NIGHTSBUMPER8)
_(NIGHTSBUMPER9)
_(NIGHTSBUMPER10)
_(NIGHTSBUMPER11)
_(NIGHTSBUMPER12)

_(HOOP)
_(HOOP_XMASA)
_(HOOP_XMASB)

_(NIGHTSCORE10)
_(NIGHTSCORE20)
_(NIGHTSCORE30)
_(NIGHTSCORE40)
_(NIGHTSCORE50)
_(NIGHTSCORE60)
_(NIGHTSCORE70)
_(NIGHTSCORE80)
_(NIGHTSCORE90)
_(NIGHTSCORE100)
_(NIGHTSCORE10_2)
_(NIGHTSCORE20_2)
_(NIGHTSCORE30_2)
_(NIGHTSCORE40_2)
_(NIGHTSCORE50_2)
_(NIGHTSCORE60_2)
_(NIGHTSCORE70_2)
_(NIGHTSCORE80_2)
_(NIGHTSCORE90_2)
_(NIGHTSCORE100_2)

_(NIGHTSWING)
_(NIGHTSWING_XMAS)

// NiGHTS Paraloop Powerups
_(NIGHTSSUPERLOOP)
_(NIGHTSDRILLREFILL)
_(NIGHTSHELPER)
_(NIGHTSEXTRATIME)
_(NIGHTSLINKFREEZE)
_(EGGCAPSULE)

// Orbiting Chaos Emeralds
_(ORBITEM1)
_(ORBITEM2)
_(ORBITEM3)
_(ORBITEM4)
_(ORBITEM5)
_(ORBITEM6)
_(ORBITEM7)
_(ORBITEM8)
_(ORBIDYA1)
_(ORBIDYA2)
_(ORBIDYA3)
_(ORBIDYA4)
_(ORBIDYA5)

// "Flicky" helper
_(NIGHTOPIANHELPER1)
_(NIGHTOPIANHELPER2)
_(NIGHTOPIANHELPER3)
_(NIGHTOPIANHELPER4)
_(NIGHTOPIANHELPER5)
_(NIGHTOPIANHELPER6)
_(NIGHTOPIANHELPER7)
_(NIGHTOPIANHELPER8)
_(NIGHTOPIANHELPER9)

// Nightopian
_(PIAN0)
_(PIAN1)
_(PIAN2)
_(PIAN3)
_(PIAN4)
_(PIAN5)
_(PIAN6)
_(PIANSING)

// Shleep
_(SHLEEP1)
_(SHLEEP2)
_(SHLEEP3)
_(SHLEEP4)
_(SHLEEPBOUNCE1)
_(SHLEEPBOUNCE2)
_(SHLEEPBOUNCE3)

_(CRUMBLE1)
_(CRUMBLE2)

// Spark
_(SPRK1)
_(SPRK2)
_(SPRK3)

// Robot Explosion
_(XPLD_FLICKY)
_(XPLD1)
_(XPLD2)
_(XPLD3)
_(XPLD4)
_(XPLD5)
_(XPLD6)
_(XPLD_EGGTRAP)

// Underwater Explosion
_(WPLD1)
_(WPLD2)
_(WPLD3)
_(WPLD4)
_(WPLD5)
_(WPLD6)

_(DUST1)
_(DUST2)
_(DUST3)
_(DUST4)

_(ROCKSPAWN)

_(ROCKCRUMBLEA)
_(ROCKCRUMBLEB)
_(ROCKCRUMBLEC)
_(ROCKCRUMBLED)
_(ROCKCRUMBLEE)
_(ROCKCRUMBLEF)
_(ROCKCRUMBLEG)
_(ROCKCRUMBLEH)
_(ROCKCRUMBLEI)
_(ROCKCRUMBLEJ)
_(ROCKCRUMBLEK)
_(ROCKCRUMBLEL)
_(ROCKCRUMBLEM)
_(ROCKCRUMBLEN)
_(ROCKCRUMBLEO)
_(ROCKCRUMBLEP)

// SRB1 Badniks
_(SRB1_CRAWLA1)
_(SRB1_CRAWLA2)
_(SRB1_CRAWLA3)
_(SRB1_CRAWLA4)

_(SRB1_BAT1)
_(SRB1_BAT2)
_(SRB1_BAT3)
_(SRB1_BAT4)

_(SRB1_ROBOFISH1)
_(SRB1_ROBOFISH2)
_(SRB1_ROBOFISH3)

_(SRB1_VOLCANOGUY1)
_(SRB1_VOLCANOGUY2)

_(SRB1_HOPPY1)
_(SRB1_HOPPY2)

_(SRB1_HOPPYWATER1)
_(SRB1_HOPPYWATER2)

_(SRB1_HOPPYSKYLAB1)

_(SRB1_MMZFLYING1)
_(SRB1_MMZFLYING2)
_(SRB1_MMZFLYING3)
_(SRB1_MMZFLYING4)
_(SRB1_MMZFLYING5)

_(SRB1_UFO1)
_(SRB1_UFO2)

_(SRB1_GRAYBOT1)
_(SRB1_GRAYBOT2)
_(SRB1_GRAYBOT3)
_(SRB1_GRAYBOT4)
_(SRB1_GRAYBOT5)
_(SRB1_GRAYBOT6)

_(SRB1_ROBOTOPOLIS1)
_(SRB1_ROBOTOPOLIS2)

_(SRB1_RBZBUZZ1)
_(SRB1_RBZBUZZ2)

_(SRB1_RBZSPIKES1)
_(SRB1_RBZSPIKES2)

_(SRB1_METALSONIC1)
_(SRB1_METALSONIC2)
_(SRB1_METALSONIC3)

_(SRB1_GOLDBOT1)
_(SRB1_GOLDBOT2)
_(SRB1_GOLDBOT3)
_(SRB1_GOLDBOT4)
_(SRB1_GOLDBOT5)
_(SRB1_GOLDBOT6)

_(SRB1_GENREX1)
_(SRB1_GENREX2)

// Random Item Box
_(RANDOMITEM1)
_(RANDOMITEM2)
_(RANDOMITEM3)
_(RANDOMITEM4)
_(RANDOMITEM5)
_(RANDOMITEM6)
_(RANDOMITEM7)
_(RANDOMITEM8)
_(RANDOMITEM9)
_(RANDOMITEM10)
_(RANDOMITEM11)
_(RANDOMITEM12)
_(RANDOMITEM13)
_(RANDOMITEM14)
_(RANDOMITEM15)
_(RANDOMITEM16)
_(RANDOMITEM17)
_(RANDOMITEM18)
_(RANDOMITEM19)
_(RANDOMITEM20)
_(RANDOMITEM21)
_(RANDOMITEM22)
_(RANDOMITEM23)
_(RANDOMITEM24)
_(DEADRANDOMITEM)

// Random Item Pop
_(RANDOMITEMPOP1)
_(RANDOMITEMPOP2)
_(RANDOMITEMPOP3)
_(RANDOMITEMPOP4)
// }

_(ITEMICON)

// Item capsules
_(ITEMCAPSULE)

// Signpost sparkles
_(SIGNSPARK1)
_(SIGNSPARK2)
_(SIGNSPARK3)
_(SIGNSPARK4)
_(SIGNSPARK5)
_(SIGNSPARK6)
_(SIGNSPARK7)
_(SIGNSPARK8)
_(SIGNSPARK9)
_(SIGNSPARK10)
_(SIGNSPARK11)

// Drift Sparks
_(DRIFTSPARK_A1)
_(DRIFTSPARK_A2)
_(DRIFTSPARK_A3)
_(DRIFTSPARK_B1)
_(DRIFTSPARK_C1)
_(DRIFTSPARK_C2)
_(DRIFTSPARK_D1)
_(DRIFTSPARK_D2)

// Brake drift sparks
_(BRAKEDRIFT)

// Drift Smoke
_(DRIFTDUST1)
_(DRIFTDUST2)
_(DRIFTDUST3)
_(DRIFTDUST4)

// Fast lines
_(FASTLINE1)
_(FASTLINE2)
_(FASTLINE3)
_(FASTLINE4)
_(FASTLINE5)

// Fast dust release
_(FASTDUST1)
_(FASTDUST2)
_(FASTDUST3)
_(FASTDUST4)
_(FASTDUST5)
_(FASTDUST6)
_(FASTDUST7)

// Sneaker boost effect
_(BOOSTFLAME)
_(DRIFTBOOSTFLAME)
_(BOOSTSMOKESPAWNER)
_(BOOSTSMOKE1)
_(BOOSTSMOKE2)
_(BOOSTSMOKE3)
_(BOOSTSMOKE4)
_(BOOSTSMOKE5)
_(BOOSTSMOKE6)

// Sneaker Fire Trail
_(KARTFIRE1)
_(KARTFIRE2)
_(KARTFIRE3)
_(KARTFIRE4)
_(KARTFIRE5)
_(KARTFIRE6)
_(KARTFIRE7)
_(KARTFIRE8)

// Angel Island Drift Strat Dust (what a mouthful!)
_(KARTAIZDRIFTSTRAT)

// Invincibility Sparks
_(KARTINVULN_SMALL1)
_(KARTINVULN_SMALL2)
_(KARTINVULN_SMALL3)
_(KARTINVULN_SMALL4)
_(KARTINVULN_SMALL5)

_(KARTINVULN_LARGE1)
_(KARTINVULN_LARGE2)
_(KARTINVULN_LARGE3)
_(KARTINVULN_LARGE4)
_(KARTINVULN_LARGE5)

// Invincibility flash
_(INVULNFLASH1)
_(INVULNFLASH2)
_(INVULNFLASH3)
_(INVULNFLASH4)

_(KARTINVLINES1)
_(KARTINVLINES2)
_(KARTINVLINES3)
_(KARTINVLINES4)
_(KARTINVLINES5)
_(KARTINVLINES6)
_(KARTINVLINES7)
_(KARTINVLINES8)
_(KARTINVLINES9)
_(KARTINVLINES10)
_(KARTINVLINES11)
_(KARTINVLINES12)
_(KARTINVLINES13)
_(KARTINVLINES14)
_(KARTINVLINES15)

// Wipeout dust trail
_(WIPEOUTTRAIL1)
_(WIPEOUTTRAIL2)
_(WIPEOUTTRAIL3)
_(WIPEOUTTRAIL4)
_(WIPEOUTTRAIL5)

// Rocket sneaker
_(ROCKETSNEAKER_L)
_(ROCKETSNEAKER_R)
_(ROCKETSNEAKER_LVIBRATE)
_(ROCKETSNEAKER_RVIBRATE)

// Eggman Monitor
_(EGGMANITEM1)
_(EGGMANITEM2)
_(EGGMANITEM3)
_(EGGMANITEM4)
_(EGGMANITEM5)
_(EGGMANITEM6)
_(EGGMANITEM7)
_(EGGMANITEM8)
_(EGGMANITEM9)
_(EGGMANITEM10)
_(EGGMANITEM11)
_(EGGMANITEM12)
_(EGGMANITEM13)
_(EGGMANITEM14)
_(EGGMANITEM15)
_(EGGMANITEM16)
_(EGGMANITEM17)
_(EGGMANITEM18)
_(EGGMANITEM19)
_(EGGMANITEM20)
_(EGGMANITEM21)
_(EGGMANITEM22)
_(EGGMANITEM23)
_(EGGMANITEM24)
_(EGGMANITEM_DEAD)
// }

// Banana
_(BANANA)
_(BANANA_DEAD)

// Orbinaut
_(ORBINAUT1)
_(ORBINAUT2)
_(ORBINAUT3)
_(ORBINAUT4)
_(ORBINAUT5)
_(ORBINAUT6)
_(ORBINAUT_DEAD)
_(ORBINAUT_SHIELD1)
_(ORBINAUT_SHIELD2)
_(ORBINAUT_SHIELD3)
_(ORBINAUT_SHIELD4)
_(ORBINAUT_SHIELD5)
_(ORBINAUT_SHIELD6)
_(ORBINAUT_SHIELDDEAD)
// }
// Jawz
_(JAWZ1)
_(JAWZ2)
_(JAWZ3)
_(JAWZ4)
_(JAWZ5)
_(JAWZ6)
_(JAWZ7)
_(JAWZ8)
_(JAWZ_DUD1)
_(JAWZ_DUD2)
_(JAWZ_DUD3)
_(JAWZ_DUD4)
_(JAWZ_DUD5)
_(JAWZ_DUD6)
_(JAWZ_DUD7)
_(JAWZ_DUD8)
_(JAWZ_SHIELD1)
_(JAWZ_SHIELD2)
_(JAWZ_SHIELD3)
_(JAWZ_SHIELD4)
_(JAWZ_SHIELD5)
_(JAWZ_SHIELD6)
_(JAWZ_SHIELD7)
_(JAWZ_SHIELD8)
_(JAWZ_DEAD1)
_(JAWZ_DEAD2)
// }

_(PLAYERRETICULE) // Player reticule

// Special Stage Mine
_(SSMINE1)
_(SSMINE2)
_(SSMINE3)
_(SSMINE4)
_(SSMINE_SHIELD1)
_(SSMINE_SHIELD2)
_(SSMINE_AIR1)
_(SSMINE_AIR2)
_(SSMINE_DEPLOY1)
_(SSMINE_DEPLOY2)
_(SSMINE_DEPLOY3)
_(SSMINE_DEPLOY4)
_(SSMINE_DEPLOY5)
_(SSMINE_DEPLOY6)
_(SSMINE_DEPLOY7)
_(SSMINE_DEPLOY8)
_(SSMINE_DEPLOY9)
_(SSMINE_DEPLOY10)
_(SSMINE_DEPLOY11)
_(SSMINE_DEPLOY12)
_(SSMINE_DEPLOY13)
_(SSMINE_EXPLODE)
_(MINEEXPLOSION1)
_(MINEEXPLOSION2)


// New explosion
_(QUICKBOOM1)
_(QUICKBOOM2)
_(QUICKBOOM3)
_(QUICKBOOM4)
_(QUICKBOOM5)
_(QUICKBOOM6)
_(QUICKBOOM7)
_(QUICKBOOM8)
_(QUICKBOOM9)
_(QUICKBOOM10)

_(SLOWBOOM1)
_(SLOWBOOM2)
_(SLOWBOOM3)
_(SLOWBOOM4)
_(SLOWBOOM5)
_(SLOWBOOM6)
_(SLOWBOOM7)
_(SLOWBOOM8)
_(SLOWBOOM9)
_(SLOWBOOM10)

// Land mine
_(LANDMINE)
_(LANDMINE_EXPLODE)

// Egg mine
_(EGGMINE)
_(EGGMINE_OVERLAY)
_(EGGMINE_POP)

// Ballhog
_(BALLHOG1)
_(BALLHOG2)
_(BALLHOG3)
_(BALLHOG4)
_(BALLHOG5)
_(BALLHOG6)
_(BALLHOG7)
_(BALLHOG8)
_(BALLHOG_DEAD)
_(BALLHOGBOOM1)
_(BALLHOGBOOM2)
_(BALLHOGBOOM3)
_(BALLHOGBOOM4)
_(BALLHOGBOOM5)
_(BALLHOGBOOM6)
_(BALLHOGBOOM7)
_(BALLHOGBOOM8)
_(BALLHOGBOOM9)
_(BALLHOGBOOM10)
_(BALLHOGBOOM11)
_(BALLHOGBOOM12)
_(BALLHOGBOOM13)
_(BALLHOGBOOM14)
_(BALLHOGBOOM15)
_(BALLHOGBOOM16)

// Self-Propelled Bomb
_(SPB1)
_(SPB2)
_(SPB3)
_(SPB4)
_(SPB5)
_(SPB6)
_(SPB7)
_(SPB8)
_(SPB9)
_(SPB10)
_(SPB11)
_(SPB12)
_(SPB13)
_(SPB14)
_(SPB15)
_(SPB16)
_(SPB17)
_(SPB18)
_(SPB19)
_(SPB20)
_(SPB_DEAD)

// Thunder Shield
_(THUNDERSHIELD1)
_(THUNDERSHIELD2)
_(THUNDERSHIELD3)
_(THUNDERSHIELD4)
_(THUNDERSHIELD5)
_(THUNDERSHIELD6)
_(THUNDERSHIELD7)
_(THUNDERSHIELD8)
_(THUNDERSHIELD9)
_(THUNDERSHIELD10)
_(THUNDERSHIELD11)
_(THUNDERSHIELD12)
_(THUNDERSHIELD13)
_(THUNDERSHIELD14)
_(THUNDERSHIELD15)
_(THUNDERSHIELD16)
_(THUNDERSHIELD17)
_(THUNDERSHIELD18)
_(THUNDERSHIELD19)
_(THUNDERSHIELD20)
_(THUNDERSHIELD21)
_(THUNDERSHIELD22)
_(THUNDERSHIELD23)
_(THUNDERSHIELD24)

// Bubble Shield: Standard Sprites
_(BUBBLESHIELD1)
_(BUBBLESHIELD2)
_(BUBBLESHIELD3)
_(BUBBLESHIELD4)
_(BUBBLESHIELD5)
_(BUBBLESHIELD6)
_(BUBBLESHIELD7)
_(BUBBLESHIELD8)
_(BUBBLESHIELD9)
_(BUBBLESHIELD10)
_(BUBBLESHIELD11)
_(BUBBLESHIELD12)
_(BUBBLESHIELD13)
_(BUBBLESHIELD14)
_(BUBBLESHIELD15)
_(BUBBLESHIELD16)
_(BUBBLESHIELD17)
_(BUBBLESHIELD18)
_(BUBBLESHIELDBLOWUP)
_(BUBBLESHIELDTRAP1)
_(BUBBLESHIELDTRAP2)
_(BUBBLESHIELDTRAP3)
_(BUBBLESHIELDTRAP4)
_(BUBBLESHIELDTRAP5)
_(BUBBLESHIELDTRAP6)
_(BUBBLESHIELDTRAP7)
_(BUBBLESHIELDTRAP8)

// Bubble Shield: Damage Visuals
_(BUBLSHLD_DMG_1)
_(BUBLSHLD_DMG_2)
_(BUBLSHLD_DMG_3)
_(BUBLSHLD_DMG_4)
_(BUBBLEDEBRIS_1)
_(BUBBLEDEBRIS_2)
_(BUBBLEDEBRIS_3)
_(BUBBLEDEBRIS_4)
_(BUBBLEDEBRIS_5)

// Flame Shield
_(FLAMESHIELD1)
_(FLAMESHIELD2)
_(FLAMESHIELD3)
_(FLAMESHIELD4)
_(FLAMESHIELD5)
_(FLAMESHIELD6)
_(FLAMESHIELD7)
_(FLAMESHIELD8)
_(FLAMESHIELD9)
_(FLAMESHIELD10)
_(FLAMESHIELD11)
_(FLAMESHIELD12)
_(FLAMESHIELD13)
_(FLAMESHIELD14)
_(FLAMESHIELD15)
_(FLAMESHIELD16)
_(FLAMESHIELD17)
_(FLAMESHIELD18)
_(FLAMESHIELDDASH)

// The legend
_(SINK)
_(SINK_SHIELD)
_(SINKTRAIL1)
_(SINKTRAIL2)
_(SINKTRAIL3)

// Battle Mode bumpers
_(BATTLEBUMPER1)
_(BATTLEBUMPER2)
_(BATTLEBUMPER3)

// DEZ Laser respawn
_(DEZLASER)

// Audience Members
_(RANDOMAUDIENCE)
_(AUDIENCE_CHAO_CHEER1)
_(AUDIENCE_CHAO_CHEER2)
_(AUDIENCE_CHAO_WIN1)
_(AUDIENCE_CHAO_WIN2)
_(AUDIENCE_CHAO_LOSE)

// 1.0 Kart Decoratives
_(FLAYM1)
_(FLAYM2)
_(FLAYM3)
_(FLAYM4)
_(DEVIL)
_(ANGEL)
_(PALMTREE)
_(FLAG)
_(HEDGEHOG) // (Rimshot)
_(BUSH1)
_(TWEE)
_(HYDRANT)

// New Misc Decorations
_(BIGPUMA1)
_(BIGPUMA2)
_(BIGPUMA3)
_(BIGPUMA4)
_(BIGPUMA5)
_(BIGPUMA6)
_(APPLE1)
_(APPLE2)
_(APPLE3)
_(APPLE4)
_(APPLE5)
_(APPLE6)
_(APPLE7)
_(APPLE8)

// D00Dkart - Fall Flowers
_(DOOD_FLOWER1)
_(DOOD_FLOWER2)
_(DOOD_FLOWER3)
_(DOOD_FLOWER4)
_(DOOD_FLOWER5)
_(DOOD_FLOWER6)

// D00Dkart - Super Circuit Box
_(DOOD_BOX1)
_(DOOD_BOX2)
_(DOOD_BOX3)
_(DOOD_BOX4)
_(DOOD_BOX5)

// D00Dkart - Diddy Kong Racing Bumper
_(DOOD_BALLOON)

// Chaotix Big Ring
_(BIGRING01)
_(BIGRING02)
_(BIGRING03)
_(BIGRING04)
_(BIGRING05)
_(BIGRING06)
_(BIGRING07)
_(BIGRING08)
_(BIGRING09)
_(BIGRING10)
_(BIGRING11)
_(BIGRING12)

// SNES Objects
_(SNES_DONUTBUSH1)
_(SNES_DONUTBUSH2)
_(SNES_DONUTBUSH3)

// GBA Objects
_(GBA_BOO1)
_(GBA_BOO2)
_(GBA_BOO3)
_(GBA_BOO4)

// Sapphire Coast Mobs
_(BUZZBOMBER_LOOK1)
_(BUZZBOMBER_LOOK2)
_(BUZZBOMBER_FLY1)
_(BUZZBOMBER_FLY2)
_(BUZZBOMBER_FLY3)
_(BUZZBOMBER_FLY4)

_(CHOMPER_SPAWN)
_(CHOMPER_HOP1)
_(CHOMPER_HOP2)
_(CHOMPER_TURNAROUND)

_(PALMTREE2)
_(PURPLEFLOWER1)
_(PURPLEFLOWER2)
_(YELLOWFLOWER1)
_(YELLOWFLOWER2)
_(PLANT2)
_(PLANT3)
_(PLANT4)

// Crystal Abyss Mobs
_(SKULL)
_(PHANTREE)
_(FLYINGGARG1)
_(FLYINGGARG2)
_(FLYINGGARG3)
_(FLYINGGARG4)
_(FLYINGGARG5)
_(FLYINGGARG6)
_(FLYINGGARG7)
_(FLYINGGARG8)
_(LAMPPOST)
_(MOSSYTREE)

_(BUMP1)
_(BUMP2)
_(BUMP3)

_(FLINGENERGY1)
_(FLINGENERGY2)
_(FLINGENERGY3)

_(CLASH1)
_(CLASH2)
_(CLASH3)
_(CLASH4)
_(CLASH5)
_(CLASH6)

_(FIREDITEM1)
_(FIREDITEM2)
_(FIREDITEM3)
_(FIREDITEM4)

_(INSTASHIELDA1) // No damage instashield effect
_(INSTASHIELDA2)
_(INSTASHIELDA3)
_(INSTASHIELDA4)
_(INSTASHIELDA5)
_(INSTASHIELDA6)
_(INSTASHIELDA7)
_(INSTASHIELDB1)
_(INSTASHIELDB2)
_(INSTASHIELDB3)
_(INSTASHIELDB4)
_(INSTASHIELDB5)
_(INSTASHIELDB6)
_(INSTASHIELDB7)

_(PLAYERARROW) // Above player arrow
_(PLAYERARROW_BOX)
_(PLAYERARROW_ITEM)
_(PLAYERARROW_NUMBER)
_(PLAYERARROW_X)
_(PLAYERARROW_WANTED1)
_(PLAYERARROW_WANTED2)
_(PLAYERARROW_WANTED3)
_(PLAYERARROW_WANTED4)
_(PLAYERARROW_WANTED5)
_(PLAYERARROW_WANTED6)
_(PLAYERARROW_WANTED7)

_(PLAYERBOMB1) // Karma player overlays
_(PLAYERBOMB2)
_(PLAYERBOMB3)
_(PLAYERBOMB4)
_(PLAYERBOMB5)
_(PLAYERBOMB6)
_(PLAYERBOMB7)
_(PLAYERBOMB8)
_(PLAYERBOMB9)
_(PLAYERBOMB10)
_(PLAYERBOMB11)
_(PLAYERBOMB12)
_(PLAYERBOMB13)
_(PLAYERBOMB14)
_(PLAYERBOMB15)
_(PLAYERBOMB16)
_(PLAYERBOMB17)
_(PLAYERBOMB18)
_(PLAYERBOMB19)
_(PLAYERBOMB20)

_(PLAYERITEM1) // Player item overlay
_(PLAYERITEM2)
_(PLAYERITEM3)
_(PLAYERITEM4)
_(PLAYERITEM5)
_(PLAYERITEM6)
_(PLAYERITEM7)
_(PLAYERITEM8)
_(PLAYERITEM9)
_(PLAYERITEM10)
_(PLAYERITEM11)
_(PLAYERITEM12)

_(PLAYERFAKE1) // Player fake overlay
_(PLAYERFAKE2)
_(PLAYERFAKE3)
_(PLAYERFAKE4)
_(PLAYERFAKE5)
_(PLAYERFAKE6)
_(PLAYERFAKE7)
_(PLAYERFAKE8)
_(PLAYERFAKE9)
_(PLAYERFAKE10)
_(PLAYERFAKE11)
_(PLAYERFAKE12)

_(KARMAWHEEL) // Karma player wheels

_(BATTLEPOINT1A) // Battle point indicators
_(BATTLEPOINT1B)
_(BATTLEPOINT1C)
_(BATTLEPOINT1D)
_(BATTLEPOINT1E)
_(BATTLEPOINT1F)
_(BATTLEPOINT1G)
_(BATTLEPOINT1H)
_(BATTLEPOINT1I)

_(BATTLEPOINT2A)
_(BATTLEPOINT2B)
_(BATTLEPOINT2C)
_(BATTLEPOINT2D)
_(BATTLEPOINT2E)
_(BATTLEPOINT2F)
_(BATTLEPOINT2G)
_(BATTLEPOINT2H)
_(BATTLEPOINT2I)

_(BATTLEPOINT3A)
_(BATTLEPOINT3B)
_(BATTLEPOINT3C)
_(BATTLEPOINT3D)
_(BATTLEPOINT3E)
_(BATTLEPOINT3F)
_(BATTLEPOINT3G)
_(BATTLEPOINT3H)
_(BATTLEPOINT3I)

// Thunder shield use stuff;
_(KSPARK1) // Sparkling Radius
_(KSPARK2)
_(KSPARK3)
_(KSPARK4)
_(KSPARK5)
_(KSPARK6)
_(KSPARK7)
_(KSPARK8)
_(KSPARK9)
_(KSPARK10)
_(KSPARK11)
_(KSPARK12)
_(KSPARK13) // ... that's an awful lot.

_(LZIO11) // Straight lightning bolt
_(LZIO12)
_(LZIO13)
_(LZIO14)
_(LZIO15)
_(LZIO16)
_(LZIO17)
_(LZIO18)
_(LZIO19)

_(LZIO21) // Straight lightning bolt (flipped)
_(LZIO22)
_(LZIO23)
_(LZIO24)
_(LZIO25)
_(LZIO26)
_(LZIO27)
_(LZIO28)
_(LZIO29)

_(KLIT1) // Diagonal lightning. No, it not being straight doesn't make it gay.
_(KLIT2)
_(KLIT3)
_(KLIT4)
_(KLIT5)
_(KLIT6)
_(KLIT7)
_(KLIT8)
_(KLIT9)
_(KLIT10)
_(KLIT11)
_(KLIT12)

_(FZEROSMOKE1) // F-Zero NO CONTEST explosion
_(FZEROSMOKE2)
_(FZEROSMOKE3)
_(FZEROSMOKE4)
_(FZEROSMOKE5)

_(FZEROBOOM1)
_(FZEROBOOM2)
_(FZEROBOOM3)
_(FZEROBOOM4)
_(FZEROBOOM5)
_(FZEROBOOM6)
_(FZEROBOOM7)
_(FZEROBOOM8)
_(FZEROBOOM9)
_(FZEROBOOM10)
_(FZEROBOOM11)
_(FZEROBOOM12)

_(FZSLOWSMOKE1)
_(FZSLOWSMOKE2)
_(FZSLOWSMOKE3)
_(FZSLOWSMOKE4)
_(FZSLOWSMOKE5)

// Various plants
_(SONICBUSH)

// Marble Zone
_(FLAMEPARTICLE)
_(MARBLETORCH)
_(MARBLELIGHT)
_(MARBLEBURNER)

// CD Special Stage
_(CDUFO)
_(CDUFO_DIE)

// Rusty Rig
_(RUSTYLAMP_ORANGE)
_(RUSTYCHAIN)

// Smokin' & Vapin' (Don't try this at home, kids!)
_(PETSMOKE0)
_(PETSMOKE1)
_(PETSMOKE2)
_(PETSMOKE3)
_(PETSMOKE4)
_(PETSMOKE5)
_(VVVAPING0)
_(VVVAPING1)
_(VVVAPING2)
_(VVVAPING3)
_(VVVAPING4)
_(VVVAPING5)
_(VVVAPE)

// Hill Top Zone
_(HTZTREE)
_(HTZBUSH)

// Ports of gardens
_(SGVINE1)
_(SGVINE2)
_(SGVINE3)
_(PGTREE)
_(PGFLOWER1)
_(PGFLOWER2)
_(PGFLOWER3)
_(PGBUSH)
_(DHPILLAR)

// Midnight Channel stuff:
_(SPOTLIGHT) // Spotlight decoration
_(RANDOMSHADOW) // Random Shadow. They're static and don't do nothing.
_(GARU1)
_(GARU2)
_(GARU3)
_(TGARU0)
_(TGARU1)
_(TGARU2)
_(TGARU3) // Wind attack used by Roaming Shadows on Players.
_(ROAMINGSHADOW) // Roaming Shadow (the one that uses above's wind attack or smth)
_(MAYONAKAARROW) // Arrow sign

// Mementos stuff:
_(REAPER_INVIS) // Reaper waiting for spawning
_(REAPER)       // Reaper main frame where its thinker is handled
_(MEMENTOSTP)   // Mementos teleporter state. (Used for spawning particles)

// JackInTheBox
_(JITB1)
_(JITB2)
_(JITB3)
_(JITB4)
_(JITB5)
_(JITB6)

// Color Drive
_(CDMOONSP)
_(CDBUSHSP)
_(CDTREEASP)
_(CDTREEBSP)

// Daytona Speedway
_(PINETREE)
_(PINETREE_SIDE)

// Egg Zeppelin
_(EZZPROPELLER)
_(EZZPROPELLER_BLADE)

// Desert Palace
_(DP_PALMTREE)

// Aurora Atoll
_(AAZTREE_SEG)
_(AAZTREE_COCONUT)
_(AAZTREE_LEAF)

// Barren Badlands
_(BBZDUST1) // Dust
_(BBZDUST2)
_(BBZDUST3)
_(BBZDUST4)
_(FROGGER) // Frog badniks
_(FROGGER_ATTACK)
_(FROGGER_JUMP)
_(FROGTONGUE)
_(FROGTONGUE_JOINT)
_(ROBRA) // Black cobra badniks
_(ROBRA_HEAD)
_(ROBRA_JOINT)
_(ROBRASHELL_INSIDE)
_(ROBRASHELL_OUTSIDE)
_(BLUEROBRA) // Blue cobra badniks
_(BLUEROBRA_HEAD)
_(BLUEROBRA_JOINT)

// Eerie Grove
_(EERIEFOG1)
_(EERIEFOG2)
_(EERIEFOG3)
_(EERIEFOG4)
_(EERIEFOG5)

// SMK ports
_(SMK_PIPE1) // Generic pipes
_(SMK_PIPE2)
_(SMK_MOLE) // Donut Plains Monty Moles
_(SMK_THWOMP) // Bowser Castle Thwomps
_(SMK_SNOWBALL) // Vanilla Lake snowballs
_(SMK_ICEBLOCK) // Vanilla Lake breakable ice blocks
_(SMK_ICEBLOCK2)
_(SMK_ICEBLOCK_DEBRIS)
_(SMK_ICEBLOCK_DEBRIS2)

// Ezo's maps
_(BLUEFIRE1)
_(BLUEFIRE2)
_(BLUEFIRE3)
_(BLUEFIRE4)

_(GREENFIRE1)
_(GREENFIRE2)
_(GREENFIRE3)
_(GREENFIRE4)

_(REGALCHEST)
_(CHIMERASTATUE)
_(DRAGONSTATUE)
_(LIZARDMANSTATUE)
_(PEGASUSSTATUE)

_(ZELDAFIRE1)
_(ZELDAFIRE2)
_(ZELDAFIRE3)
_(ZELDAFIRE4)

_(GANBARETHING)
_(GANBAREDUCK)
_(GANBARETREE)

_(MONOIDLE)
_(MONOCHASE1)
_(MONOCHASE2)
_(MONOCHASE3)
_(MONOCHASE4)
_(MONOPAIN)

_(REDZELDAFIRE1)
_(REDZELDAFIRE2)
_(REDZELDAFIRE3)
_(REDZELDAFIRE4)

_(BOWLINGPIN)
_(BOWLINGHIT1)
_(BOWLINGHIT2)
_(BOWLINGHIT3)
_(BOWLINGHIT4)

_(ARIDTOAD)
_(TOADHIT1)
_(TOADHIT2)
_(TOADHIT3)
_(TOADHIT4)

_(EBARRELIDLE)
_(EBARREL1)
_(EBARREL2)
_(EBARREL3)
_(EBARREL4)
_(EBARREL5)
_(EBARREL6)
_(EBARREL7)
_(EBARREL8)
_(EBARREL9)
_(EBARREL10)
_(EBARREL11)
_(EBARREL12)
_(EBARREL13)
_(EBARREL14)
_(EBARREL15)
_(EBARREL16)
_(EBARREL17)
_(EBARREL18)

_(MERRYHORSE)

_(BLUEFRUIT)
_(ORANGEFRUIT)
_(REDFRUIT)
_(PINKFRUIT)

_(ADVENTURESPIKEA1)
_(ADVENTURESPIKEA2)
_(ADVENTURESPIKEB1)
_(ADVENTURESPIKEB2)
_(ADVENTURESPIKEC1)
_(ADVENTURESPIKEC2)

_(BOOSTPROMPT1)
_(BOOSTPROMPT2)

_(BOOSTOFF1)
_(BOOSTOFF2)

_(BOOSTON1)
_(BOOSTON2)

_(LIZARDMAN)
_(LIONMAN)

// Opulence

_(OPULENCE_PALMTREE)
_(OPULENCE_FERN)

_(TUMBLEGEM_IDLE)
_(TUMBLEGEM_ROLL)
_(TUMBLECOIN_IDLE)
_(TUMBLECOIN_FLIP)

_(KARMAFIREWORK1)
_(KARMAFIREWORK2)
_(KARMAFIREWORK3)
_(KARMAFIREWORK4)
_(KARMAFIREWORKTRAIL)

// Opaque smoke version, to prevent lag
_(OPAQUESMOKE1)
_(OPAQUESMOKE2)
_(OPAQUESMOKE3)
_(OPAQUESMOKE4)
_(OPAQUESMOKE5)

// followers:

// bubble:
_(FOLLOWERBUBBLE_FRONT)
_(FOLLOWERBUBBLE_BACK)

_(GAINAX_TINY)
_(GAINAX_HUGE)
_(GAINAX_MID1)
_(GAINAX_MID2)

_(BOOSTSTACK)

_(WAYPOINTORB)
_(WAYPOINTSPLAT)
_(EGOORB)

_(WATERTRAILS)
_(WATERTRAILSUNDERLAY)

_(AIRDROPDUST1)
_(AIRDROPDUST2)

_(SLIPSPARK1)
_(SLIPSPARK2)
_(SLIPSPARK3)

// Dash Rings
_(DASHRING_HORIZONTAL)
_(DASHRING_30DEGREES)
_(DASHRING_60DEGREES)
_(DASHRING_VERTICAL)
_(DASHRING_HORIZONTAL_FLASH1)
_(DASHRING_HORIZONTAL_FLASH2)
_(DASHRING_30DEGREES_FLASH1)
_(DASHRING_30DEGREES_FLASH2)
_(DASHRING_60DEGREES_FLASH1)
_(DASHRING_60DEGREES_FLASH2)
_(DASHRING_VERTICAL_FLASH1)
_(DASHRING_VERTICAL_FLASH2)

// Sneaker Panels
_(SNEAKERPANEL)
_(SNEAKERPANEL_SMALL)
_(SNEAKERPANEL_TINY)
_(SNEAKERPANELSPAWNER)

// Yellow Side Spring
_(YHORIZ1)
_(YHORIZ2)
_(YHORIZ3)
_(YHORIZ4)

// Red Side Spring
_(RHORIZ1)
_(RHORIZ2)
_(RHORIZ3)
_(RHORIZ4)

// Blue Side Spring
_(BHORIZ1)
_(BHORIZ2)
_(BHORIZ3)
_(BHORIZ4)

// Gray Diagonal Spring
_(GDIAG1)
_(GDIAG2)
_(GDIAG3)
_(GDIAG4)

// Gray Side Spring
_(GHORIZ1)
_(GHORIZ2)
_(GHORIZ3)
_(GHORIZ4)

// Arrow Bullet
_(ALTSHRINK_ARROWBULLET)

// Recovery Spin Skid
_(RECSPIN_SKID)

// Horncode
_(HORNCODE)
_(HORNCODE_ANGRY)
_(HORNCODE_HAPPY)
